<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave.Employee"] )) {
			$lookupTableLinks["employees"]["leave.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave.Employee"]["edit"] = array("table" => "leave", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave.leave_type"]["edit"] = array("table" => "leave", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave.approved_by"] )) {
			$lookupTableLinks["employees"]["leave.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["leave.approved_by"]["edit"] = array("table" => "leave", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave.checked_by"] )) {
			$lookupTableLinks["employees"]["leave.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["leave.checked_by"]["edit"] = array("table" => "leave", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["leave.approve"] )) {
			$lookupTableLinks["employeesdd"]["leave.approve"] = array();
		}
		$lookupTableLinks["employeesdd"]["leave.approve"]["edit"] = array("table" => "leave", "field" => "approve", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan.employee"] )) {
			$lookupTableLinks["employees"]["loan.employee"] = array();
		}
		$lookupTableLinks["employees"]["loan.employee"]["edit"] = array("table" => "loan", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["loan.loan_type"] )) {
			$lookupTableLinks["payroll_item"]["loan.loan_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["loan.loan_type"]["edit"] = array("table" => "loan", "field" => "loan_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan.checked_by"] )) {
			$lookupTableLinks["employees"]["loan.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["loan.checked_by"]["edit"] = array("table" => "loan", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan.approved_by"] )) {
			$lookupTableLinks["employees"]["loan.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["loan.approved_by"]["edit"] = array("table" => "loan", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_terms"] ) ) {
			$lookupTableLinks["payroll_terms"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_terms"]["loan.payroll_mode"] )) {
			$lookupTableLinks["payroll_terms"]["loan.payroll_mode"] = array();
		}
		$lookupTableLinks["payroll_terms"]["loan.payroll_mode"]["edit"] = array("table" => "loan", "field" => "payroll_mode", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["over_time.employee"] )) {
			$lookupTableLinks["employees"]["over_time.employee"] = array();
		}
		$lookupTableLinks["employees"]["over_time.employee"]["edit"] = array("table" => "over_time", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["over_time.approved_by"] )) {
			$lookupTableLinks["employees"]["over_time.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["over_time.approved_by"]["edit"] = array("table" => "over_time", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["over_time.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["over_time.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["over_time.overtime_type"]["edit"] = array("table" => "over_time", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["over_time.checked_by"] )) {
			$lookupTableLinks["employees"]["over_time.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["over_time.checked_by"]["edit"] = array("table" => "over_time", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["over_time.approver"] )) {
			$lookupTableLinks["employeesdd"]["over_time.approver"] = array();
		}
		$lookupTableLinks["employeesdd"]["over_time.approver"]["edit"] = array("table" => "over_time", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time.employee"] )) {
			$lookupTableLinks["employees"]["change_time.employee"] = array();
		}
		$lookupTableLinks["employees"]["change_time.employee"]["edit"] = array("table" => "change_time", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time.approved_by"] )) {
			$lookupTableLinks["employees"]["change_time.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time.approved_by"]["edit"] = array("table" => "change_time", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time.checked_by"] )) {
			$lookupTableLinks["employees"]["change_time.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time.checked_by"]["edit"] = array("table" => "change_time", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["change_time.approver"] )) {
			$lookupTableLinks["employeesdd"]["change_time.approver"] = array();
		}
		$lookupTableLinks["employeesdd"]["change_time.approver"]["edit"] = array("table" => "change_time", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["schedule"] ) ) {
			$lookupTableLinks["schedule"] = array();
		}
		if( !isset( $lookupTableLinks["schedule"]["employees.schedule_code"] )) {
			$lookupTableLinks["schedule"]["employees.schedule_code"] = array();
		}
		$lookupTableLinks["schedule"]["employees.schedule_code"]["edit"] = array("table" => "employees", "field" => "schedule_code", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employees.approver"] )) {
			$lookupTableLinks["employees"]["employees.approver"] = array();
		}
		$lookupTableLinks["employees"]["employees.approver"]["edit"] = array("table" => "employees", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employees.checker"] )) {
			$lookupTableLinks["employees"]["employees.checker"] = array();
		}
		$lookupTableLinks["employees"]["employees.checker"]["edit"] = array("table" => "employees", "field" => "checker", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_account_type"] ) ) {
			$lookupTableLinks["payroll_account_type"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_account_type"]["payroll_item.account_code"] )) {
			$lookupTableLinks["payroll_account_type"]["payroll_item.account_code"] = array();
		}
		$lookupTableLinks["payroll_account_type"]["payroll_item.account_code"]["edit"] = array("table" => "payroll_item", "field" => "account_code", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_account_type"] ) ) {
			$lookupTableLinks["payroll_account_type"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_account_type"]["payroll_item.account_type"] )) {
			$lookupTableLinks["payroll_account_type"]["payroll_item.account_type"] = array();
		}
		$lookupTableLinks["payroll_account_type"]["payroll_item.account_type"]["edit"] = array("table" => "payroll_item", "field" => "account_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["fieldwork.employee"] )) {
			$lookupTableLinks["employees"]["fieldwork.employee"] = array();
		}
		$lookupTableLinks["employees"]["fieldwork.employee"]["edit"] = array("table" => "fieldwork", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["fieldwork.approved_by"] )) {
			$lookupTableLinks["employees"]["fieldwork.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["fieldwork.approved_by"]["edit"] = array("table" => "fieldwork", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["fieldwork.checked_by"] )) {
			$lookupTableLinks["employees"]["fieldwork.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["fieldwork.checked_by"]["edit"] = array("table" => "fieldwork", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["fieldwork.center"] )) {
			$lookupTableLinks["cost_center"]["fieldwork.center"] = array();
		}
		$lookupTableLinks["cost_center"]["fieldwork.center"]["edit"] = array("table" => "fieldwork", "field" => "center", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["fieldwork.approver"] )) {
			$lookupTableLinks["employeesdd"]["fieldwork.approver"] = array();
		}
		$lookupTableLinks["employeesdd"]["fieldwork.approver"]["edit"] = array("table" => "fieldwork", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["For_Approval_Dashboard.approved_by"] )) {
			$lookupTableLinks["employees"]["For_Approval_Dashboard.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["For_Approval_Dashboard.approved_by"]["search"] = array("table" => "For_Approval_Dashboard", "field" => "approved_by", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["For_Checking_Dashboard.checked_by"] )) {
			$lookupTableLinks["employees"]["For_Checking_Dashboard.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["For_Checking_Dashboard.checked_by"]["search"] = array("table" => "For_Checking_Dashboard", "field" => "checked_by", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["activity_log.employee"] )) {
			$lookupTableLinks["employees"]["activity_log.employee"] = array();
		}
		$lookupTableLinks["employees"]["activity_log.employee"]["edit"] = array("table" => "activity_log", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employee_project"] ) ) {
			$lookupTableLinks["employee_project"] = array();
		}
		if( !isset( $lookupTableLinks["employee_project"]["activity_log.project"] )) {
			$lookupTableLinks["employee_project"]["activity_log.project"] = array();
		}
		$lookupTableLinks["employee_project"]["activity_log.project"]["edit"] = array("table" => "activity_log", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["employee_project_task"] ) ) {
			$lookupTableLinks["employee_project_task"] = array();
		}
		if( !isset( $lookupTableLinks["employee_project_task"]["activity_log.task"] )) {
			$lookupTableLinks["employee_project_task"]["activity_log.task"] = array();
		}
		$lookupTableLinks["employee_project_task"]["activity_log.task"]["edit"] = array("table" => "activity_log", "field" => "task", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["Leave_for_checking.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["Leave_for_checking.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["Leave_for_checking.leave_type"]["edit"] = array("table" => "Leave_for_checking", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Leave_for_checking.approved_by"] )) {
			$lookupTableLinks["employees"]["Leave_for_checking.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["Leave_for_checking.approved_by"]["edit"] = array("table" => "Leave_for_checking", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Leave_for_checking.checked_by"] )) {
			$lookupTableLinks["employees"]["Leave_for_checking.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["Leave_for_checking.checked_by"]["edit"] = array("table" => "Leave_for_checking", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Leave_for_checking.Employee"] )) {
			$lookupTableLinks["employees"]["Leave_for_checking.Employee"] = array();
		}
		$lookupTableLinks["employees"]["Leave_for_checking.Employee"]["edit"] = array("table" => "Leave_for_checking", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Leave_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Leave_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Leave_for_checking.job_grade"]["edit"] = array("table" => "Leave_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Leave_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["Leave_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Leave_for_checking.jg_level"]["edit"] = array("table" => "Leave_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["Leave_for_approval.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["Leave_for_approval.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["Leave_for_approval.leave_type"]["edit"] = array("table" => "Leave_for_approval", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Leave_for_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["Leave_for_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["Leave_for_approval.approved_by"]["edit"] = array("table" => "Leave_for_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Leave_for_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["Leave_for_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["Leave_for_approval.checked_by"]["edit"] = array("table" => "Leave_for_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Leave_for_approval.Employee"] )) {
			$lookupTableLinks["employees"]["Leave_for_approval.Employee"] = array();
		}
		$lookupTableLinks["employees"]["Leave_for_approval.Employee"]["edit"] = array("table" => "Leave_for_approval", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Leave_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Leave_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Leave_for_approval.job_grade"]["edit"] = array("table" => "Leave_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Leave_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["Leave_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Leave_for_approval.jg_level"]["edit"] = array("table" => "Leave_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["business_partner"] ) ) {
			$lookupTableLinks["business_partner"] = array();
		}
		if( !isset( $lookupTableLinks["business_partner"]["request_for_payment.Business_Partner"] )) {
			$lookupTableLinks["business_partner"]["request_for_payment.Business_Partner"] = array();
		}
		$lookupTableLinks["business_partner"]["request_for_payment.Business_Partner"]["edit"] = array("table" => "request_for_payment", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["credit_terms"] ) ) {
			$lookupTableLinks["credit_terms"] = array();
		}
		if( !isset( $lookupTableLinks["credit_terms"]["request_for_payment.Terms"] )) {
			$lookupTableLinks["credit_terms"]["request_for_payment.Terms"] = array();
		}
		$lookupTableLinks["credit_terms"]["request_for_payment.Terms"]["edit"] = array("table" => "request_for_payment", "field" => "Terms", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["request_for_payment.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["request_for_payment.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["request_for_payment.Cost_Center"]["edit"] = array("table" => "request_for_payment", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment.Discount_Account"]["edit"] = array("table" => "request_for_payment", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment.VAT_Account"]["edit"] = array("table" => "request_for_payment", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["request_for_payment.location"] )) {
			$lookupTableLinks["location"]["request_for_payment.location"] = array();
		}
		$lookupTableLinks["location"]["request_for_payment.location"]["edit"] = array("table" => "request_for_payment", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks["discounts"] ) ) {
			$lookupTableLinks["discounts"] = array();
		}
		if( !isset( $lookupTableLinks["discounts"]["request_for_payment.discount_type"] )) {
			$lookupTableLinks["discounts"]["request_for_payment.discount_type"] = array();
		}
		$lookupTableLinks["discounts"]["request_for_payment.discount_type"]["edit"] = array("table" => "request_for_payment", "field" => "discount_type", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["request_for_payment.project"] )) {
			$lookupTableLinks[""]["request_for_payment.project"] = array();
		}
		$lookupTableLinks[""]["request_for_payment.project"]["edit"] = array("table" => "request_for_payment", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["currency"] ) ) {
			$lookupTableLinks["currency"] = array();
		}
		if( !isset( $lookupTableLinks["currency"]["request_for_payment.currecy"] )) {
			$lookupTableLinks["currency"]["request_for_payment.currecy"] = array();
		}
		$lookupTableLinks["currency"]["request_for_payment.currecy"]["edit"] = array("table" => "request_for_payment", "field" => "currecy", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["request_for_payment.phase"] )) {
			$lookupTableLinks["phase"]["request_for_payment.phase"] = array();
		}
		$lookupTableLinks["phase"]["request_for_payment.phase"]["edit"] = array("table" => "request_for_payment", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["request_for_payment.approved_by"] )) {
			$lookupTableLinks["employees"]["request_for_payment.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["request_for_payment.approved_by"]["edit"] = array("table" => "request_for_payment", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["request_for_payment.checked_by"] )) {
			$lookupTableLinks["employees"]["request_for_payment.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["request_for_payment.checked_by"]["edit"] = array("table" => "request_for_payment", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["request_for_payment_detail.Item"] )) {
			$lookupTableLinks["item"]["request_for_payment_detail.Item"] = array();
		}
		$lookupTableLinks["item"]["request_for_payment_detail.Item"]["edit"] = array("table" => "request_for_payment_detail", "field" => "Item", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment_detail.Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail.Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail.Account"]["edit"] = array("table" => "request_for_payment_detail", "field" => "Account", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_type"] ) ) {
			$lookupTableLinks["vat_type"] = array();
		}
		if( !isset( $lookupTableLinks["vat_type"]["request_for_payment_detail.VAT_Type"] )) {
			$lookupTableLinks["vat_type"]["request_for_payment_detail.VAT_Type"] = array();
		}
		$lookupTableLinks["vat_type"]["request_for_payment_detail.VAT_Type"]["edit"] = array("table" => "request_for_payment_detail", "field" => "VAT_Type", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["request_for_payment_detail.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["request_for_payment_detail.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["request_for_payment_detail.Cost_Center"]["edit"] = array("table" => "request_for_payment_detail", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["uom"] ) ) {
			$lookupTableLinks["uom"] = array();
		}
		if( !isset( $lookupTableLinks["uom"]["request_for_payment_detail.um"] )) {
			$lookupTableLinks["uom"]["request_for_payment_detail.um"] = array();
		}
		$lookupTableLinks["uom"]["request_for_payment_detail.um"]["edit"] = array("table" => "request_for_payment_detail", "field" => "um", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["purchase_request.Business_Partner"] )) {
			$lookupTableLinks["employees"]["purchase_request.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["purchase_request.Business_Partner"]["edit"] = array("table" => "purchase_request", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["credit_terms"] ) ) {
			$lookupTableLinks["credit_terms"] = array();
		}
		if( !isset( $lookupTableLinks["credit_terms"]["purchase_request.Terms"] )) {
			$lookupTableLinks["credit_terms"]["purchase_request.Terms"] = array();
		}
		$lookupTableLinks["credit_terms"]["purchase_request.Terms"]["edit"] = array("table" => "purchase_request", "field" => "Terms", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["purchase_request.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["purchase_request.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["purchase_request.Cost_Center"]["edit"] = array("table" => "purchase_request", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["purchase_request.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["purchase_request.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["purchase_request.Discount_Account"]["edit"] = array("table" => "purchase_request", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["purchase_request.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["purchase_request.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["purchase_request.VAT_Account"]["edit"] = array("table" => "purchase_request", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["purchase_request.location"] )) {
			$lookupTableLinks["location"]["purchase_request.location"] = array();
		}
		$lookupTableLinks["location"]["purchase_request.location"]["edit"] = array("table" => "purchase_request", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["purchase_request.project"] )) {
			$lookupTableLinks[""]["purchase_request.project"] = array();
		}
		$lookupTableLinks[""]["purchase_request.project"]["edit"] = array("table" => "purchase_request", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["currency"] ) ) {
			$lookupTableLinks["currency"] = array();
		}
		if( !isset( $lookupTableLinks["currency"]["purchase_request.currecy"] )) {
			$lookupTableLinks["currency"]["purchase_request.currecy"] = array();
		}
		$lookupTableLinks["currency"]["purchase_request.currecy"]["edit"] = array("table" => "purchase_request", "field" => "currecy", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["purchase_request.phase"] )) {
			$lookupTableLinks["phase"]["purchase_request.phase"] = array();
		}
		$lookupTableLinks["phase"]["purchase_request.phase"]["edit"] = array("table" => "purchase_request", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["purchase_request.prepared_by"] )) {
			$lookupTableLinks["employees"]["purchase_request.prepared_by"] = array();
		}
		$lookupTableLinks["employees"]["purchase_request.prepared_by"]["edit"] = array("table" => "purchase_request", "field" => "prepared_by", "page" => "edit");
		if( !isset( $lookupTableLinks["sales_order"] ) ) {
			$lookupTableLinks["sales_order"] = array();
		}
		if( !isset( $lookupTableLinks["sales_order"]["purchase_request.so_no"] )) {
			$lookupTableLinks["sales_order"]["purchase_request.so_no"] = array();
		}
		$lookupTableLinks["sales_order"]["purchase_request.so_no"]["edit"] = array("table" => "purchase_request", "field" => "so_no", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["purchase_request_detail.Item"] )) {
			$lookupTableLinks["item"]["purchase_request_detail.Item"] = array();
		}
		$lookupTableLinks["item"]["purchase_request_detail.Item"]["edit"] = array("table" => "purchase_request_detail", "field" => "Item", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["purchase_request_detail.Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["purchase_request_detail.Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["purchase_request_detail.Account"]["edit"] = array("table" => "purchase_request_detail", "field" => "Account", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_type"] ) ) {
			$lookupTableLinks["vat_type"] = array();
		}
		if( !isset( $lookupTableLinks["vat_type"]["purchase_request_detail.VAT_Type"] )) {
			$lookupTableLinks["vat_type"]["purchase_request_detail.VAT_Type"] = array();
		}
		$lookupTableLinks["vat_type"]["purchase_request_detail.VAT_Type"]["edit"] = array("table" => "purchase_request_detail", "field" => "VAT_Type", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["purchase_request_detail.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["purchase_request_detail.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["purchase_request_detail.Cost_Center"]["edit"] = array("table" => "purchase_request_detail", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["uom"] ) ) {
			$lookupTableLinks["uom"] = array();
		}
		if( !isset( $lookupTableLinks["uom"]["purchase_request_detail.um"] )) {
			$lookupTableLinks["uom"]["purchase_request_detail.um"] = array();
		}
		$lookupTableLinks["uom"]["purchase_request_detail.um"]["edit"] = array("table" => "purchase_request_detail", "field" => "um", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["Overtime_for_checking.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["Overtime_for_checking.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["Overtime_for_checking.overtime_type"]["edit"] = array("table" => "Overtime_for_checking", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Overtime_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["Overtime_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["Overtime_for_checking.employee"]["edit"] = array("table" => "Overtime_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Overtime_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Overtime_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Overtime_for_checking.job_grade"]["edit"] = array("table" => "Overtime_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Overtime_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["Overtime_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Overtime_for_checking.jg_level"]["edit"] = array("table" => "Overtime_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["Overtime_for_approval.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["Overtime_for_approval.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["Overtime_for_approval.overtime_type"]["edit"] = array("table" => "Overtime_for_approval", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Overtime_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["Overtime_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["Overtime_for_approval.employee"]["edit"] = array("table" => "Overtime_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Overtime_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Overtime_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Overtime_for_approval.job_grade"]["edit"] = array("table" => "Overtime_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Overtime_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["Overtime_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Overtime_for_approval.jg_level"]["edit"] = array("table" => "Overtime_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Change_Time_Schedule_for_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["Change_Time_Schedule_for_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["Change_Time_Schedule_for_approval.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Change_Time_Schedule_for_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["Change_Time_Schedule_for_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["Change_Time_Schedule_for_approval.checked_by"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Change_Time_Schedule_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Change_Time_Schedule_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Change_Time_Schedule_for_approval.job_grade"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Change_Time_Schedule_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["Change_Time_Schedule_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Change_Time_Schedule_for_approval.jg_level"]["edit"] = array("table" => "Change_Time_Schedule_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Change_Time_Schedule_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["Change_Time_Schedule_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["Change_Time_Schedule_for_checking.employee"]["edit"] = array("table" => "Change_Time_Schedule_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Change_Time_Schedule_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Change_Time_Schedule_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Change_Time_Schedule_for_checking.job_grade"]["edit"] = array("table" => "Change_Time_Schedule_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Change_Time_Schedule_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["Change_Time_Schedule_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Change_Time_Schedule_for_checking.jg_level"]["edit"] = array("table" => "Change_Time_Schedule_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["undertime.employee"] )) {
			$lookupTableLinks["employees"]["undertime.employee"] = array();
		}
		$lookupTableLinks["employees"]["undertime.employee"]["edit"] = array("table" => "undertime", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["undertime.approved_by"] )) {
			$lookupTableLinks["employees"]["undertime.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["undertime.approved_by"]["edit"] = array("table" => "undertime", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["undertime.checked_by"] )) {
			$lookupTableLinks["employees"]["undertime.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["undertime.checked_by"]["edit"] = array("table" => "undertime", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Undertime_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["Undertime_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["Undertime_for_approval.employee"]["edit"] = array("table" => "Undertime_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Undertime_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Undertime_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Undertime_for_approval.job_grade"]["edit"] = array("table" => "Undertime_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Undertime_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["Undertime_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Undertime_for_approval.jg_level"]["edit"] = array("table" => "Undertime_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Undertime_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["Undertime_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["Undertime_for_checking.employee"]["edit"] = array("table" => "Undertime_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Undertime_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Undertime_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Undertime_for_checking.job_grade"]["edit"] = array("table" => "Undertime_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Undertime_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["Undertime_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Undertime_for_checking.jg_level"]["edit"] = array("table" => "Undertime_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["request_for_payment_for_approval.Business_Partner"] )) {
			$lookupTableLinks["employees"]["request_for_payment_for_approval.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["request_for_payment_for_approval.Business_Partner"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["credit_terms"] ) ) {
			$lookupTableLinks["credit_terms"] = array();
		}
		if( !isset( $lookupTableLinks["credit_terms"]["request_for_payment_for_approval.Terms"] )) {
			$lookupTableLinks["credit_terms"]["request_for_payment_for_approval.Terms"] = array();
		}
		$lookupTableLinks["credit_terms"]["request_for_payment_for_approval.Terms"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "Terms", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["request_for_payment_for_approval.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["request_for_payment_for_approval.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["request_for_payment_for_approval.Cost_Center"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment_for_approval.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_approval.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_approval.Discount_Account"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment_for_approval.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_approval.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_approval.VAT_Account"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["request_for_payment_for_approval.location"] )) {
			$lookupTableLinks["location"]["request_for_payment_for_approval.location"] = array();
		}
		$lookupTableLinks["location"]["request_for_payment_for_approval.location"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["request_for_payment_for_approval.project"] )) {
			$lookupTableLinks[""]["request_for_payment_for_approval.project"] = array();
		}
		$lookupTableLinks[""]["request_for_payment_for_approval.project"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["currency"] ) ) {
			$lookupTableLinks["currency"] = array();
		}
		if( !isset( $lookupTableLinks["currency"]["request_for_payment_for_approval.currecy"] )) {
			$lookupTableLinks["currency"]["request_for_payment_for_approval.currecy"] = array();
		}
		$lookupTableLinks["currency"]["request_for_payment_for_approval.currecy"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "currecy", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["request_for_payment_for_approval.phase"] )) {
			$lookupTableLinks["phase"]["request_for_payment_for_approval.phase"] = array();
		}
		$lookupTableLinks["phase"]["request_for_payment_for_approval.phase"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["currency_exchange_rate"] ) ) {
			$lookupTableLinks["currency_exchange_rate"] = array();
		}
		if( !isset( $lookupTableLinks["currency_exchange_rate"]["request_for_payment_for_approval.exchange_rate"] )) {
			$lookupTableLinks["currency_exchange_rate"]["request_for_payment_for_approval.exchange_rate"] = array();
		}
		$lookupTableLinks["currency_exchange_rate"]["request_for_payment_for_approval.exchange_rate"]["edit"] = array("table" => "request_for_payment_for_approval", "field" => "exchange_rate", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["request_for_payment_for_checking.Business_Partner"] )) {
			$lookupTableLinks["employees"]["request_for_payment_for_checking.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["request_for_payment_for_checking.Business_Partner"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["credit_terms"] ) ) {
			$lookupTableLinks["credit_terms"] = array();
		}
		if( !isset( $lookupTableLinks["credit_terms"]["request_for_payment_for_checking.Terms"] )) {
			$lookupTableLinks["credit_terms"]["request_for_payment_for_checking.Terms"] = array();
		}
		$lookupTableLinks["credit_terms"]["request_for_payment_for_checking.Terms"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "Terms", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["request_for_payment_for_checking.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["request_for_payment_for_checking.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["request_for_payment_for_checking.Cost_Center"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment_for_checking.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_checking.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_checking.Discount_Account"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment_for_checking.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_checking.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment_for_checking.VAT_Account"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["request_for_payment_for_checking.location"] )) {
			$lookupTableLinks["location"]["request_for_payment_for_checking.location"] = array();
		}
		$lookupTableLinks["location"]["request_for_payment_for_checking.location"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["request_for_payment_for_checking.project"] )) {
			$lookupTableLinks[""]["request_for_payment_for_checking.project"] = array();
		}
		$lookupTableLinks[""]["request_for_payment_for_checking.project"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["currency"] ) ) {
			$lookupTableLinks["currency"] = array();
		}
		if( !isset( $lookupTableLinks["currency"]["request_for_payment_for_checking.currecy"] )) {
			$lookupTableLinks["currency"]["request_for_payment_for_checking.currecy"] = array();
		}
		$lookupTableLinks["currency"]["request_for_payment_for_checking.currecy"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "currecy", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["request_for_payment_for_checking.phase"] )) {
			$lookupTableLinks["phase"]["request_for_payment_for_checking.phase"] = array();
		}
		$lookupTableLinks["phase"]["request_for_payment_for_checking.phase"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["currency_exchange_rate"] ) ) {
			$lookupTableLinks["currency_exchange_rate"] = array();
		}
		if( !isset( $lookupTableLinks["currency_exchange_rate"]["request_for_payment_for_checking.exchange_rate"] )) {
			$lookupTableLinks["currency_exchange_rate"]["request_for_payment_for_checking.exchange_rate"] = array();
		}
		$lookupTableLinks["currency_exchange_rate"]["request_for_payment_for_checking.exchange_rate"]["edit"] = array("table" => "request_for_payment_for_checking", "field" => "exchange_rate", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["request_for_payment_detail_for_approval.Item"] )) {
			$lookupTableLinks["item"]["request_for_payment_detail_for_approval.Item"] = array();
		}
		$lookupTableLinks["item"]["request_for_payment_detail_for_approval.Item"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "Item", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_approval.Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_approval.Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_approval.Account"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "Account", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_type"] ) ) {
			$lookupTableLinks["vat_type"] = array();
		}
		if( !isset( $lookupTableLinks["vat_type"]["request_for_payment_detail_for_approval.VAT_Type"] )) {
			$lookupTableLinks["vat_type"]["request_for_payment_detail_for_approval.VAT_Type"] = array();
		}
		$lookupTableLinks["vat_type"]["request_for_payment_detail_for_approval.VAT_Type"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_rate"] ) ) {
			$lookupTableLinks["vat_rate"] = array();
		}
		if( !isset( $lookupTableLinks["vat_rate"]["request_for_payment_detail_for_approval.VAT_Rate"] )) {
			$lookupTableLinks["vat_rate"]["request_for_payment_detail_for_approval.VAT_Rate"] = array();
		}
		$lookupTableLinks["vat_rate"]["request_for_payment_detail_for_approval.VAT_Rate"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "VAT_Rate", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["request_for_payment_detail_for_approval.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["request_for_payment_detail_for_approval.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["request_for_payment_detail_for_approval.Cost_Center"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["uom"] ) ) {
			$lookupTableLinks["uom"] = array();
		}
		if( !isset( $lookupTableLinks["uom"]["request_for_payment_detail_for_approval.um"] )) {
			$lookupTableLinks["uom"]["request_for_payment_detail_for_approval.um"] = array();
		}
		$lookupTableLinks["uom"]["request_for_payment_detail_for_approval.um"]["edit"] = array("table" => "request_for_payment_detail_for_approval", "field" => "um", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["request_for_payment_detail_for_checking.Item"] )) {
			$lookupTableLinks["item"]["request_for_payment_detail_for_checking.Item"] = array();
		}
		$lookupTableLinks["item"]["request_for_payment_detail_for_checking.Item"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "Item", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_checking.Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_checking.Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["request_for_payment_detail_for_checking.Account"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "Account", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_type"] ) ) {
			$lookupTableLinks["vat_type"] = array();
		}
		if( !isset( $lookupTableLinks["vat_type"]["request_for_payment_detail_for_checking.VAT_Type"] )) {
			$lookupTableLinks["vat_type"]["request_for_payment_detail_for_checking.VAT_Type"] = array();
		}
		$lookupTableLinks["vat_type"]["request_for_payment_detail_for_checking.VAT_Type"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_rate"] ) ) {
			$lookupTableLinks["vat_rate"] = array();
		}
		if( !isset( $lookupTableLinks["vat_rate"]["request_for_payment_detail_for_checking.VAT_Rate"] )) {
			$lookupTableLinks["vat_rate"]["request_for_payment_detail_for_checking.VAT_Rate"] = array();
		}
		$lookupTableLinks["vat_rate"]["request_for_payment_detail_for_checking.VAT_Rate"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "VAT_Rate", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["request_for_payment_detail_for_checking.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["request_for_payment_detail_for_checking.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["request_for_payment_detail_for_checking.Cost_Center"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["uom"] ) ) {
			$lookupTableLinks["uom"] = array();
		}
		if( !isset( $lookupTableLinks["uom"]["request_for_payment_detail_for_checking.um"] )) {
			$lookupTableLinks["uom"]["request_for_payment_detail_for_checking.um"] = array();
		}
		$lookupTableLinks["uom"]["request_for_payment_detail_for_checking.um"]["edit"] = array("table" => "request_for_payment_detail_for_checking", "field" => "um", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Purchase_Request_for_approval.Business_Partner"] )) {
			$lookupTableLinks["employees"]["Purchase_Request_for_approval.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["Purchase_Request_for_approval.Business_Partner"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["credit_terms"] ) ) {
			$lookupTableLinks["credit_terms"] = array();
		}
		if( !isset( $lookupTableLinks["credit_terms"]["Purchase_Request_for_approval.Terms"] )) {
			$lookupTableLinks["credit_terms"]["Purchase_Request_for_approval.Terms"] = array();
		}
		$lookupTableLinks["credit_terms"]["Purchase_Request_for_approval.Terms"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Terms", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["Purchase_Request_for_approval.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["Purchase_Request_for_approval.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["Purchase_Request_for_approval.Cost_Center"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.Discount_Account"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_approval.VAT_Account"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["Purchase_Request_for_approval.location"] )) {
			$lookupTableLinks["location"]["Purchase_Request_for_approval.location"] = array();
		}
		$lookupTableLinks["location"]["Purchase_Request_for_approval.location"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["Purchase_Request_for_approval.project"] )) {
			$lookupTableLinks[""]["Purchase_Request_for_approval.project"] = array();
		}
		$lookupTableLinks[""]["Purchase_Request_for_approval.project"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["currency"] ) ) {
			$lookupTableLinks["currency"] = array();
		}
		if( !isset( $lookupTableLinks["currency"]["Purchase_Request_for_approval.currecy"] )) {
			$lookupTableLinks["currency"]["Purchase_Request_for_approval.currecy"] = array();
		}
		$lookupTableLinks["currency"]["Purchase_Request_for_approval.currecy"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "currecy", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["Purchase_Request_for_approval.phase"] )) {
			$lookupTableLinks["phase"]["Purchase_Request_for_approval.phase"] = array();
		}
		$lookupTableLinks["phase"]["Purchase_Request_for_approval.phase"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["currency_exchange_rate"] ) ) {
			$lookupTableLinks["currency_exchange_rate"] = array();
		}
		if( !isset( $lookupTableLinks["currency_exchange_rate"]["Purchase_Request_for_approval.exchange_rate"] )) {
			$lookupTableLinks["currency_exchange_rate"]["Purchase_Request_for_approval.exchange_rate"] = array();
		}
		$lookupTableLinks["currency_exchange_rate"]["Purchase_Request_for_approval.exchange_rate"]["edit"] = array("table" => "Purchase_Request_for_approval", "field" => "exchange_rate", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Purchase_Request_for_checking.Business_Partner"] )) {
			$lookupTableLinks["employees"]["Purchase_Request_for_checking.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["Purchase_Request_for_checking.Business_Partner"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["credit_terms"] ) ) {
			$lookupTableLinks["credit_terms"] = array();
		}
		if( !isset( $lookupTableLinks["credit_terms"]["Purchase_Request_for_checking.Terms"] )) {
			$lookupTableLinks["credit_terms"]["Purchase_Request_for_checking.Terms"] = array();
		}
		$lookupTableLinks["credit_terms"]["Purchase_Request_for_checking.Terms"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Terms", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["Purchase_Request_for_checking.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["Purchase_Request_for_checking.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["Purchase_Request_for_checking.Cost_Center"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.Discount_Account"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["Purchase_Request_for_checking.VAT_Account"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["Purchase_Request_for_checking.location"] )) {
			$lookupTableLinks["location"]["Purchase_Request_for_checking.location"] = array();
		}
		$lookupTableLinks["location"]["Purchase_Request_for_checking.location"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["Purchase_Request_for_checking.project"] )) {
			$lookupTableLinks[""]["Purchase_Request_for_checking.project"] = array();
		}
		$lookupTableLinks[""]["Purchase_Request_for_checking.project"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["currency"] ) ) {
			$lookupTableLinks["currency"] = array();
		}
		if( !isset( $lookupTableLinks["currency"]["Purchase_Request_for_checking.currecy"] )) {
			$lookupTableLinks["currency"]["Purchase_Request_for_checking.currecy"] = array();
		}
		$lookupTableLinks["currency"]["Purchase_Request_for_checking.currecy"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "currecy", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["Purchase_Request_for_checking.phase"] )) {
			$lookupTableLinks["phase"]["Purchase_Request_for_checking.phase"] = array();
		}
		$lookupTableLinks["phase"]["Purchase_Request_for_checking.phase"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["currency_exchange_rate"] ) ) {
			$lookupTableLinks["currency_exchange_rate"] = array();
		}
		if( !isset( $lookupTableLinks["currency_exchange_rate"]["Purchase_Request_for_checking.exchange_rate"] )) {
			$lookupTableLinks["currency_exchange_rate"]["Purchase_Request_for_checking.exchange_rate"] = array();
		}
		$lookupTableLinks["currency_exchange_rate"]["Purchase_Request_for_checking.exchange_rate"]["edit"] = array("table" => "Purchase_Request_for_checking", "field" => "exchange_rate", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["purchase_request_detail_for_approval.Item"] )) {
			$lookupTableLinks["item"]["purchase_request_detail_for_approval.Item"] = array();
		}
		$lookupTableLinks["item"]["purchase_request_detail_for_approval.Item"]["edit"] = array("table" => "purchase_request_detail_for_approval", "field" => "Item", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["purchase_request_detail_for_approval.Description"] )) {
			$lookupTableLinks["item"]["purchase_request_detail_for_approval.Description"] = array();
		}
		$lookupTableLinks["item"]["purchase_request_detail_for_approval.Description"]["edit"] = array("table" => "purchase_request_detail_for_approval", "field" => "Description", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_type"] ) ) {
			$lookupTableLinks["vat_type"] = array();
		}
		if( !isset( $lookupTableLinks["vat_type"]["purchase_request_detail_for_approval.VAT_Type"] )) {
			$lookupTableLinks["vat_type"]["purchase_request_detail_for_approval.VAT_Type"] = array();
		}
		$lookupTableLinks["vat_type"]["purchase_request_detail_for_approval.VAT_Type"]["edit"] = array("table" => "purchase_request_detail_for_approval", "field" => "VAT_Type", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_rate"] ) ) {
			$lookupTableLinks["vat_rate"] = array();
		}
		if( !isset( $lookupTableLinks["vat_rate"]["purchase_request_detail_for_approval.VAT_Rate"] )) {
			$lookupTableLinks["vat_rate"]["purchase_request_detail_for_approval.VAT_Rate"] = array();
		}
		$lookupTableLinks["vat_rate"]["purchase_request_detail_for_approval.VAT_Rate"]["edit"] = array("table" => "purchase_request_detail_for_approval", "field" => "VAT_Rate", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["purchase_request_detail_for_approval.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["purchase_request_detail_for_approval.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["purchase_request_detail_for_approval.Cost_Center"]["edit"] = array("table" => "purchase_request_detail_for_approval", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["uom"] ) ) {
			$lookupTableLinks["uom"] = array();
		}
		if( !isset( $lookupTableLinks["uom"]["purchase_request_detail_for_approval.um"] )) {
			$lookupTableLinks["uom"]["purchase_request_detail_for_approval.um"] = array();
		}
		$lookupTableLinks["uom"]["purchase_request_detail_for_approval.um"]["edit"] = array("table" => "purchase_request_detail_for_approval", "field" => "um", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["purchase_request_detail_for_checking.Item"] )) {
			$lookupTableLinks["item"]["purchase_request_detail_for_checking.Item"] = array();
		}
		$lookupTableLinks["item"]["purchase_request_detail_for_checking.Item"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Item", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["purchase_request_detail_for_checking.Description"] )) {
			$lookupTableLinks["item"]["purchase_request_detail_for_checking.Description"] = array();
		}
		$lookupTableLinks["item"]["purchase_request_detail_for_checking.Description"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Description", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_type"] ) ) {
			$lookupTableLinks["vat_type"] = array();
		}
		if( !isset( $lookupTableLinks["vat_type"]["purchase_request_detail_for_checking.VAT_Type"] )) {
			$lookupTableLinks["vat_type"]["purchase_request_detail_for_checking.VAT_Type"] = array();
		}
		$lookupTableLinks["vat_type"]["purchase_request_detail_for_checking.VAT_Type"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "VAT_Type", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_rate"] ) ) {
			$lookupTableLinks["vat_rate"] = array();
		}
		if( !isset( $lookupTableLinks["vat_rate"]["purchase_request_detail_for_checking.VAT_Rate"] )) {
			$lookupTableLinks["vat_rate"]["purchase_request_detail_for_checking.VAT_Rate"] = array();
		}
		$lookupTableLinks["vat_rate"]["purchase_request_detail_for_checking.VAT_Rate"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "VAT_Rate", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["purchase_request_detail_for_checking.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["purchase_request_detail_for_checking.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["purchase_request_detail_for_checking.Cost_Center"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["uom"] ) ) {
			$lookupTableLinks["uom"] = array();
		}
		if( !isset( $lookupTableLinks["uom"]["purchase_request_detail_for_checking.um"] )) {
			$lookupTableLinks["uom"]["purchase_request_detail_for_checking.um"] = array();
		}
		$lookupTableLinks["uom"]["purchase_request_detail_for_checking.um"]["edit"] = array("table" => "purchase_request_detail_for_checking", "field" => "um", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_report_report.emp_no"] )) {
			$lookupTableLinks["employees"]["attendance_report_report.emp_no"] = array();
		}
		$lookupTableLinks["employees"]["attendance_report_report.emp_no"]["search"] = array("table" => "attendance_report_report", "field" => "emp_no", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Loan_Balance.employee"] )) {
			$lookupTableLinks["employees"]["Loan_Balance.employee"] = array();
		}
		$lookupTableLinks["employees"]["Loan_Balance.employee"]["search"] = array("table" => "Loan_Balance", "field" => "employee", "page" => "search");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["Loan_Balance.loan_type"] )) {
			$lookupTableLinks["payroll_item"]["Loan_Balance.loan_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["Loan_Balance.loan_type"]["search"] = array("table" => "Loan_Balance", "field" => "loan_type", "page" => "search");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_balance.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_balance.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_balance.leave_type"]["search"] = array("table" => "leave_balance", "field" => "leave_type", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_balance.Employee"] )) {
			$lookupTableLinks["employees"]["leave_balance.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_balance.Employee"]["search"] = array("table" => "leave_balance", "field" => "Employee", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["process_payroll_detail.employee"] )) {
			$lookupTableLinks["employees"]["process_payroll_detail.employee"] = array();
		}
		$lookupTableLinks["employees"]["process_payroll_detail.employee"]["edit"] = array("table" => "process_payroll_detail", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["process_payroll_detail.payroll_item"] )) {
			$lookupTableLinks["payroll_item"]["process_payroll_detail.payroll_item"] = array();
		}
		$lookupTableLinks["payroll_item"]["process_payroll_detail.payroll_item"]["edit"] = array("table" => "process_payroll_detail", "field" => "payroll_item", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["reimbursement.Business_Partner"] )) {
			$lookupTableLinks["employees"]["reimbursement.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["reimbursement.Business_Partner"]["edit"] = array("table" => "reimbursement", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement.Payable_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement.Payable_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement.Payable_Account"]["edit"] = array("table" => "reimbursement", "field" => "Payable_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["reimbursement.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["reimbursement.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["reimbursement.Cost_Center"]["edit"] = array("table" => "reimbursement", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement.Discount_Account"]["edit"] = array("table" => "reimbursement", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement.VAT_Account"]["edit"] = array("table" => "reimbursement", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["reimbursement.location"] )) {
			$lookupTableLinks["location"]["reimbursement.location"] = array();
		}
		$lookupTableLinks["location"]["reimbursement.location"]["edit"] = array("table" => "reimbursement", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_system_user"] ) ) {
			$lookupTableLinks["payroll_system_user"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_system_user"]["reimbursement.prepared_by"] )) {
			$lookupTableLinks["payroll_system_user"]["reimbursement.prepared_by"] = array();
		}
		$lookupTableLinks["payroll_system_user"]["reimbursement.prepared_by"]["edit"] = array("table" => "reimbursement", "field" => "prepared_by", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["reimbursement.project"] )) {
			$lookupTableLinks[""]["reimbursement.project"] = array();
		}
		$lookupTableLinks[""]["reimbursement.project"]["edit"] = array("table" => "reimbursement", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["reimbursement.phase"] )) {
			$lookupTableLinks["phase"]["reimbursement.phase"] = array();
		}
		$lookupTableLinks["phase"]["reimbursement.phase"]["edit"] = array("table" => "reimbursement", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_system_user"] ) ) {
			$lookupTableLinks["payroll_system_user"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_system_user"]["reimbursement.modified_by"] )) {
			$lookupTableLinks["payroll_system_user"]["reimbursement.modified_by"] = array();
		}
		$lookupTableLinks["payroll_system_user"]["reimbursement.modified_by"]["edit"] = array("table" => "reimbursement", "field" => "modified_by", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["reimbursement_detail.Item"] )) {
			$lookupTableLinks["item"]["reimbursement_detail.Item"] = array();
		}
		$lookupTableLinks["item"]["reimbursement_detail.Item"]["edit"] = array("table" => "reimbursement_detail", "field" => "Item", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement_detail.Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement_detail.Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement_detail.Account"]["edit"] = array("table" => "reimbursement_detail", "field" => "Account", "page" => "edit");
		if( !isset( $lookupTableLinks["item"] ) ) {
			$lookupTableLinks["item"] = array();
		}
		if( !isset( $lookupTableLinks["item"]["reimbursement_detail.Description"] )) {
			$lookupTableLinks["item"]["reimbursement_detail.Description"] = array();
		}
		$lookupTableLinks["item"]["reimbursement_detail.Description"]["edit"] = array("table" => "reimbursement_detail", "field" => "Description", "page" => "edit");
		if( !isset( $lookupTableLinks["vat_type"] ) ) {
			$lookupTableLinks["vat_type"] = array();
		}
		if( !isset( $lookupTableLinks["vat_type"]["reimbursement_detail.VAT_Type"] )) {
			$lookupTableLinks["vat_type"]["reimbursement_detail.VAT_Type"] = array();
		}
		$lookupTableLinks["vat_type"]["reimbursement_detail.VAT_Type"]["edit"] = array("table" => "reimbursement_detail", "field" => "VAT_Type", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["reimbursement_detail.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["reimbursement_detail.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["reimbursement_detail.Cost_Center"]["edit"] = array("table" => "reimbursement_detail", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["lot"] ) ) {
			$lookupTableLinks["lot"] = array();
		}
		if( !isset( $lookupTableLinks["lot"]["reimbursement_detail.lot_no"] )) {
			$lookupTableLinks["lot"]["reimbursement_detail.lot_no"] = array();
		}
		$lookupTableLinks["lot"]["reimbursement_detail.lot_no"]["edit"] = array("table" => "reimbursement_detail", "field" => "lot_no", "page" => "edit");
		if( !isset( $lookupTableLinks["uom"] ) ) {
			$lookupTableLinks["uom"] = array();
		}
		if( !isset( $lookupTableLinks["uom"]["reimbursement_detail.um"] )) {
			$lookupTableLinks["uom"]["reimbursement_detail.um"] = array();
		}
		$lookupTableLinks["uom"]["reimbursement_detail.um"]["edit"] = array("table" => "reimbursement_detail", "field" => "um", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_password.approver"] )) {
			$lookupTableLinks["employees"]["change_password.approver"] = array();
		}
		$lookupTableLinks["employees"]["change_password.approver"]["edit"] = array("table" => "change_password", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_password.checker"] )) {
			$lookupTableLinks["employees"]["change_password.checker"] = array();
		}
		$lookupTableLinks["employees"]["change_password.checker"]["edit"] = array("table" => "change_password", "field" => "checker", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employee_Information.approver"] )) {
			$lookupTableLinks["employees"]["employee_Information.approver"] = array();
		}
		$lookupTableLinks["employees"]["employee_Information.approver"]["search"] = array("table" => "employee Information", "field" => "approver", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employee_Information.checker"] )) {
			$lookupTableLinks["employees"]["employee_Information.checker"] = array();
		}
		$lookupTableLinks["employees"]["employee_Information.checker"]["search"] = array("table" => "employee Information", "field" => "checker", "page" => "search");
		if( !isset( $lookupTableLinks["payroll_terms"] ) ) {
			$lookupTableLinks["payroll_terms"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_terms"]["Payroll_Information.payroll_terms"] )) {
			$lookupTableLinks["payroll_terms"]["Payroll_Information.payroll_terms"] = array();
		}
		$lookupTableLinks["payroll_terms"]["Payroll_Information.payroll_terms"]["search"] = array("table" => "Payroll Information", "field" => "payroll_terms", "page" => "search");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["Payroll_Information.center"] )) {
			$lookupTableLinks["cost_center"]["Payroll_Information.center"] = array();
		}
		$lookupTableLinks["cost_center"]["Payroll_Information.center"]["search"] = array("table" => "Payroll Information", "field" => "center", "page" => "search");
		if( !isset( $lookupTableLinks["department"] ) ) {
			$lookupTableLinks["department"] = array();
		}
		if( !isset( $lookupTableLinks["department"]["Payroll_Information.department"] )) {
			$lookupTableLinks["department"]["Payroll_Information.department"] = array();
		}
		$lookupTableLinks["department"]["Payroll_Information.department"]["search"] = array("table" => "Payroll Information", "field" => "department", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Payroll_Information.approver"] )) {
			$lookupTableLinks["employees"]["Payroll_Information.approver"] = array();
		}
		$lookupTableLinks["employees"]["Payroll_Information.approver"]["search"] = array("table" => "Payroll Information", "field" => "approver", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Payroll_Information.checker"] )) {
			$lookupTableLinks["employees"]["Payroll_Information.checker"] = array();
		}
		$lookupTableLinks["employees"]["Payroll_Information.checker"]["search"] = array("table" => "Payroll Information", "field" => "checker", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["violations_Report.employee"] )) {
			$lookupTableLinks["employees"]["violations_Report.employee"] = array();
		}
		$lookupTableLinks["employees"]["violations_Report.employee"]["search"] = array("table" => "violations_Report", "field" => "employee", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_report_for_DSM.emp_no"] )) {
			$lookupTableLinks["employees"]["attendance_report_for_DSM.emp_no"] = array();
		}
		$lookupTableLinks["employees"]["attendance_report_for_DSM.emp_no"]["search"] = array("table" => "attendance_report_for_DSM", "field" => "emp_no", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_report_for_RSM.emp_no"] )) {
			$lookupTableLinks["employees"]["attendance_report_for_RSM.emp_no"] = array();
		}
		$lookupTableLinks["employees"]["attendance_report_for_RSM.emp_no"]["search"] = array("table" => "attendance_report_for_RSM", "field" => "emp_no", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_report_for_NSM.emp_no"] )) {
			$lookupTableLinks["employees"]["attendance_report_for_NSM.emp_no"] = array();
		}
		$lookupTableLinks["employees"]["attendance_report_for_NSM.emp_no"]["search"] = array("table" => "attendance_report_for_NSM", "field" => "emp_no", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_rsm.employee"] )) {
			$lookupTableLinks["employees"]["attendance_rsm.employee"] = array();
		}
		$lookupTableLinks["employees"]["attendance_rsm.employee"]["edit"] = array("table" => "attendance_rsm", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["attendance_rsm.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["attendance_rsm.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["attendance_rsm.attendance_type"]["edit"] = array("table" => "attendance_rsm", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_dsm.employee"] )) {
			$lookupTableLinks["employees"]["attendance_dsm.employee"] = array();
		}
		$lookupTableLinks["employees"]["attendance_dsm.employee"]["edit"] = array("table" => "attendance_dsm", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["attendance_dsm.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["attendance_dsm.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["attendance_dsm.attendance_type"]["edit"] = array("table" => "attendance_dsm", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_nsm.employee"] )) {
			$lookupTableLinks["employees"]["attendance_nsm.employee"] = array();
		}
		$lookupTableLinks["employees"]["attendance_nsm.employee"]["edit"] = array("table" => "attendance_nsm", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["attendance_nsm.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["attendance_nsm.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["attendance_nsm.attendance_type"]["edit"] = array("table" => "attendance_nsm", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Fieldwork_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["Fieldwork_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["Fieldwork_for_checking.employee"]["edit"] = array("table" => "Fieldwork_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Fieldwork_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Fieldwork_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Fieldwork_for_checking.job_grade"]["edit"] = array("table" => "Fieldwork_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Fieldwork_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["Fieldwork_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Fieldwork_for_checking.jg_level"]["edit"] = array("table" => "Fieldwork_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["Fieldwork_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["Fieldwork_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["Fieldwork_for_approval.employee"]["edit"] = array("table" => "Fieldwork_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["Fieldwork_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["Fieldwork_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["Fieldwork_for_approval.job_grade"]["edit"] = array("table" => "Fieldwork_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["Fieldwork_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["Fieldwork_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["Fieldwork_for_approval.jg_level"]["edit"] = array("table" => "Fieldwork_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["attendance.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["attendance.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["attendance.attendance_type"]["edit"] = array("table" => "attendance", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["attendance.center"] )) {
			$lookupTableLinks["cost_center"]["attendance.center"] = array();
		}
		$lookupTableLinks["cost_center"]["attendance.center"]["edit"] = array("table" => "attendance", "field" => "center", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_report_subordinate.emp_no"] )) {
			$lookupTableLinks["employees"]["attendance_report_subordinate.emp_no"] = array();
		}
		$lookupTableLinks["employees"]["attendance_report_subordinate.emp_no"]["search"] = array("table" => "attendance_report_subordinate", "field" => "emp_no", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_balance_subordinate.Employee"] )) {
			$lookupTableLinks["employees"]["leave_balance_subordinate.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_balance_subordinate.Employee"]["search"] = array("table" => "leave_balance_subordinate", "field" => "Employee", "page" => "search");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_balance_subordinate.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_balance_subordinate.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_balance_subordinate.leave_type"]["search"] = array("table" => "leave_balance_subordinate", "field" => "leave_type", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_balance_subordinate.approved_by"] )) {
			$lookupTableLinks["employees"]["leave_balance_subordinate.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_balance_subordinate.approved_by"]["search"] = array("table" => "leave_balance_subordinate", "field" => "approved_by", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_balance_subordinate.checked_by"] )) {
			$lookupTableLinks["employees"]["leave_balance_subordinate.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_balance_subordinate.checked_by"]["search"] = array("table" => "leave_balance_subordinate", "field" => "checked_by", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_log_subordinate.emp_no"] )) {
			$lookupTableLinks["employees"]["attendance_log_subordinate.emp_no"] = array();
		}
		$lookupTableLinks["employees"]["attendance_log_subordinate.emp_no"]["search"] = array("table" => "attendance_log_subordinate", "field" => "emp_no", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["loan_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["loan_for_approval.employee"]["edit"] = array("table" => "loan_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["loan_for_approval.loan_type"] )) {
			$lookupTableLinks["payroll_item"]["loan_for_approval.loan_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["loan_for_approval.loan_type"]["edit"] = array("table" => "loan_for_approval", "field" => "loan_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan_for_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["loan_for_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["loan_for_approval.checked_by"]["edit"] = array("table" => "loan_for_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan_for_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["loan_for_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["loan_for_approval.approved_by"]["edit"] = array("table" => "loan_for_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_terms"] ) ) {
			$lookupTableLinks["payroll_terms"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_terms"]["loan_for_approval.payroll_mode"] )) {
			$lookupTableLinks["payroll_terms"]["loan_for_approval.payroll_mode"] = array();
		}
		$lookupTableLinks["payroll_terms"]["loan_for_approval.payroll_mode"]["edit"] = array("table" => "loan_for_approval", "field" => "payroll_mode", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["loan_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["loan_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["loan_for_approval.job_grade"]["edit"] = array("table" => "loan_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["loan_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["loan_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["loan_for_approval.jg_level"]["edit"] = array("table" => "loan_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["loan_for_checking.loan_type"] )) {
			$lookupTableLinks["payroll_item"]["loan_for_checking.loan_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["loan_for_checking.loan_type"]["edit"] = array("table" => "loan_for_checking", "field" => "loan_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan_for_checking.checked_by"] )) {
			$lookupTableLinks["employees"]["loan_for_checking.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["loan_for_checking.checked_by"]["edit"] = array("table" => "loan_for_checking", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan_for_checking.approved_by"] )) {
			$lookupTableLinks["employees"]["loan_for_checking.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["loan_for_checking.approved_by"]["edit"] = array("table" => "loan_for_checking", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_terms"] ) ) {
			$lookupTableLinks["payroll_terms"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_terms"]["loan_for_checking.payroll_mode"] )) {
			$lookupTableLinks["payroll_terms"]["loan_for_checking.payroll_mode"] = array();
		}
		$lookupTableLinks["payroll_terms"]["loan_for_checking.payroll_mode"]["edit"] = array("table" => "loan_for_checking", "field" => "payroll_mode", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["loan_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["loan_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["loan_for_checking.employee"]["edit"] = array("table" => "loan_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["loan_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["loan_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["loan_for_checking.job_grade"]["edit"] = array("table" => "loan_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["loan_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["loan_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["loan_for_checking.jg_level"]["edit"] = array("table" => "loan_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["login_logout.employee"] )) {
			$lookupTableLinks["employees"]["login_logout.employee"] = array();
		}
		$lookupTableLinks["employees"]["login_logout.employee"]["search"] = array("table" => "login_logout", "field" => "employee", "page" => "search");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["login_logout.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["login_logout.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["login_logout.attendance_type"]["search"] = array("table" => "login_logout", "field" => "attendance_type", "page" => "search");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["login_logout.center"] )) {
			$lookupTableLinks["cost_center"]["login_logout.center"] = array();
		}
		$lookupTableLinks["cost_center"]["login_logout.center"]["search"] = array("table" => "login_logout", "field" => "center", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_report.approver"] )) {
			$lookupTableLinks["employees"]["attendance_report.approver"] = array();
		}
		$lookupTableLinks["employees"]["attendance_report.approver"]["edit"] = array("table" => "attendance_report", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_subordinate.approver"] )) {
			$lookupTableLinks["employees"]["attendance_subordinate.approver"] = array();
		}
		$lookupTableLinks["employees"]["attendance_subordinate.approver"]["edit"] = array("table" => "attendance_subordinate", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime.employee"]["edit"] = array("table" => "holiday_overtime", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime.approved_by"]["edit"] = array("table" => "holiday_overtime", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime.overtime_type"]["edit"] = array("table" => "holiday_overtime", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime.checked_by"]["edit"] = array("table" => "holiday_overtime", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["holiday"] ) ) {
			$lookupTableLinks["holiday"] = array();
		}
		if( !isset( $lookupTableLinks["holiday"]["holiday_overtime.holiday"] )) {
			$lookupTableLinks["holiday"]["holiday_overtime.holiday"] = array();
		}
		$lookupTableLinks["holiday"]["holiday_overtime.holiday"]["edit"] = array("table" => "holiday_overtime", "field" => "holiday", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["holiday_overtime.approver"] )) {
			$lookupTableLinks["employeesdd"]["holiday_overtime.approver"] = array();
		}
		$lookupTableLinks["employeesdd"]["holiday_overtime.approver"]["edit"] = array("table" => "holiday_overtime", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_over_time_for_approvalx.employee"] )) {
			$lookupTableLinks["employees"]["holiday_over_time_for_approvalx.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_over_time_for_approvalx.employee"]["edit"] = array("table" => "holiday_over_time_for_approvalx", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_over_time_for_approvalx.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_over_time_for_approvalx.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_over_time_for_approvalx.approved_by"]["edit"] = array("table" => "holiday_over_time_for_approvalx", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_over_time_for_approvalx.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_over_time_for_approvalx.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_over_time_for_approvalx.overtime_type"]["edit"] = array("table" => "holiday_over_time_for_approvalx", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_over_time_for_approvalx.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_over_time_for_approvalx.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_over_time_for_approvalx.checked_by"]["edit"] = array("table" => "holiday_over_time_for_approvalx", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_over_time_for_checkingx.employee"] )) {
			$lookupTableLinks["employees"]["holiday_over_time_for_checkingx.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_over_time_for_checkingx.employee"]["edit"] = array("table" => "holiday_over_time_for_checkingx", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_over_time_for_checkingx.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_over_time_for_checkingx.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_over_time_for_checkingx.approved_by"]["edit"] = array("table" => "holiday_over_time_for_checkingx", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_over_time_for_checkingx.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_over_time_for_checkingx.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_over_time_for_checkingx.overtime_type"]["edit"] = array("table" => "holiday_over_time_for_checkingx", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_over_time_for_checkingx.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_over_time_for_checkingx.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_over_time_for_checkingx.checked_by"]["edit"] = array("table" => "holiday_over_time_for_checkingx", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_for_checking.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_for_checking.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_for_checking.approved_by"]["edit"] = array("table" => "holiday_overtime_for_checking", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime_for_checking.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime_for_checking.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime_for_checking.overtime_type"]["edit"] = array("table" => "holiday_overtime_for_checking", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_for_checking.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_for_checking.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_for_checking.checked_by"]["edit"] = array("table" => "holiday_overtime_for_checking", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_for_checking.employee"]["edit"] = array("table" => "holiday_overtime_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["holiday_overtime_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["holiday_overtime_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["holiday_overtime_for_checking.job_grade"]["edit"] = array("table" => "holiday_overtime_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["holiday_overtime_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["holiday_overtime_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["holiday_overtime_for_checking.jg_level"]["edit"] = array("table" => "holiday_overtime_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_for_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_for_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_for_approval.approved_by"]["edit"] = array("table" => "holiday_overtime_for_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime_for_approval.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime_for_approval.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime_for_approval.overtime_type"]["edit"] = array("table" => "holiday_overtime_for_approval", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_for_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_for_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_for_approval.checked_by"]["edit"] = array("table" => "holiday_overtime_for_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_for_approval.employee"]["edit"] = array("table" => "holiday_overtime_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["holiday_overtime_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["holiday_overtime_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["holiday_overtime_for_approval.job_grade"]["edit"] = array("table" => "holiday_overtime_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["holiday_overtime_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["holiday_overtime_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["holiday_overtime_for_approval.jg_level"]["edit"] = array("table" => "holiday_overtime_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["schedule"] ) ) {
			$lookupTableLinks["schedule"] = array();
		}
		if( !isset( $lookupTableLinks["schedule"]["employees_subordinate.schedule_code"] )) {
			$lookupTableLinks["schedule"]["employees_subordinate.schedule_code"] = array();
		}
		$lookupTableLinks["schedule"]["employees_subordinate.schedule_code"]["edit"] = array("table" => "employees_subordinate", "field" => "schedule_code", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employees_subordinate.approver"] )) {
			$lookupTableLinks["employees"]["employees_subordinate.approver"] = array();
		}
		$lookupTableLinks["employees"]["employees_subordinate.approver"]["edit"] = array("table" => "employees_subordinate", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employees_subordinate.checker"] )) {
			$lookupTableLinks["employees"]["employees_subordinate.checker"] = array();
		}
		$lookupTableLinks["employees"]["employees_subordinate.checker"]["edit"] = array("table" => "employees_subordinate", "field" => "checker", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["attendance_edit_subordinate.approver"] )) {
			$lookupTableLinks["employees"]["attendance_edit_subordinate.approver"] = array();
		}
		$lookupTableLinks["employees"]["attendance_edit_subordinate.approver"]["edit"] = array("table" => "attendance_edit_subordinate", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["schedule"] ) ) {
			$lookupTableLinks["schedule"] = array();
		}
		if( !isset( $lookupTableLinks["schedule"]["employees_schedule.schedule_code"] )) {
			$lookupTableLinks["schedule"]["employees_schedule.schedule_code"] = array();
		}
		$lookupTableLinks["schedule"]["employees_schedule.schedule_code"]["edit"] = array("table" => "employees_schedule", "field" => "schedule_code", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["dtr_project.employee"] )) {
			$lookupTableLinks["employees"]["dtr_project.employee"] = array();
		}
		$lookupTableLinks["employees"]["dtr_project.employee"]["edit"] = array("table" => "dtr_project", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["project"] ) ) {
			$lookupTableLinks["project"] = array();
		}
		if( !isset( $lookupTableLinks["project"]["dtr_project.project"] )) {
			$lookupTableLinks["project"]["dtr_project.project"] = array();
		}
		$lookupTableLinks["project"]["dtr_project.project"]["edit"] = array("table" => "dtr_project", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["tasks"] ) ) {
			$lookupTableLinks["tasks"] = array();
		}
		if( !isset( $lookupTableLinks["tasks"]["dtr_project.phase"] )) {
			$lookupTableLinks["tasks"]["dtr_project.phase"] = array();
		}
		$lookupTableLinks["tasks"]["dtr_project.phase"]["edit"] = array("table" => "dtr_project", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["tasks"] ) ) {
			$lookupTableLinks["tasks"] = array();
		}
		if( !isset( $lookupTableLinks["tasks"]["dtr_project.task"] )) {
			$lookupTableLinks["tasks"]["dtr_project.task"] = array();
		}
		$lookupTableLinks["tasks"]["dtr_project.task"]["edit"] = array("table" => "dtr_project", "field" => "task", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["dtr_project_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["dtr_project_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["dtr_project_for_approval.employee"]["edit"] = array("table" => "dtr_project_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["project"] ) ) {
			$lookupTableLinks["project"] = array();
		}
		if( !isset( $lookupTableLinks["project"]["dtr_project_for_approval.project"] )) {
			$lookupTableLinks["project"]["dtr_project_for_approval.project"] = array();
		}
		$lookupTableLinks["project"]["dtr_project_for_approval.project"]["edit"] = array("table" => "dtr_project_for_approval", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["tasks"] ) ) {
			$lookupTableLinks["tasks"] = array();
		}
		if( !isset( $lookupTableLinks["tasks"]["dtr_project_for_approval.phase"] )) {
			$lookupTableLinks["tasks"]["dtr_project_for_approval.phase"] = array();
		}
		$lookupTableLinks["tasks"]["dtr_project_for_approval.phase"]["edit"] = array("table" => "dtr_project_for_approval", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["tasks"] ) ) {
			$lookupTableLinks["tasks"] = array();
		}
		if( !isset( $lookupTableLinks["tasks"]["dtr_project_for_approval.task"] )) {
			$lookupTableLinks["tasks"]["dtr_project_for_approval.task"] = array();
		}
		$lookupTableLinks["tasks"]["dtr_project_for_approval.task"]["edit"] = array("table" => "dtr_project_for_approval", "field" => "task", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["summary_hrs.employee"] )) {
			$lookupTableLinks["employees"]["summary_hrs.employee"] = array();
		}
		$lookupTableLinks["employees"]["summary_hrs.employee"]["edit"] = array("table" => "summary_hrs", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["project"] ) ) {
			$lookupTableLinks["project"] = array();
		}
		if( !isset( $lookupTableLinks["project"]["summary_hrs.project"] )) {
			$lookupTableLinks["project"]["summary_hrs.project"] = array();
		}
		$lookupTableLinks["project"]["summary_hrs.project"]["edit"] = array("table" => "summary_hrs", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["tasks"] ) ) {
			$lookupTableLinks["tasks"] = array();
		}
		if( !isset( $lookupTableLinks["tasks"]["summary_hrs.phase"] )) {
			$lookupTableLinks["tasks"]["summary_hrs.phase"] = array();
		}
		$lookupTableLinks["tasks"]["summary_hrs.phase"]["edit"] = array("table" => "summary_hrs", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["tasks"] ) ) {
			$lookupTableLinks["tasks"] = array();
		}
		if( !isset( $lookupTableLinks["tasks"]["summary_hrs.task"] )) {
			$lookupTableLinks["tasks"]["summary_hrs.task"] = array();
		}
		$lookupTableLinks["tasks"]["summary_hrs.task"]["edit"] = array("table" => "summary_hrs", "field" => "task", "page" => "edit");
		if( !isset( $lookupTableLinks["schedule"] ) ) {
			$lookupTableLinks["schedule"] = array();
		}
		if( !isset( $lookupTableLinks["schedule"]["employee_info.schedule_code"] )) {
			$lookupTableLinks["schedule"]["employee_info.schedule_code"] = array();
		}
		$lookupTableLinks["schedule"]["employee_info.schedule_code"]["edit"] = array("table" => "Employee_Info", "field" => "schedule_code", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employee_info.approver"] )) {
			$lookupTableLinks["employees"]["employee_info.approver"] = array();
		}
		$lookupTableLinks["employees"]["employee_info.approver"]["edit"] = array("table" => "Employee_Info", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employee_info.checker"] )) {
			$lookupTableLinks["employees"]["employee_info.checker"] = array();
		}
		$lookupTableLinks["employees"]["employee_info.checker"]["edit"] = array("table" => "Employee_Info", "field" => "checker", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["reimbursement_for_checking.Business_Partner"] )) {
			$lookupTableLinks["employees"]["reimbursement_for_checking.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["reimbursement_for_checking.Business_Partner"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.Payable_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.Payable_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.Payable_Account"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "Payable_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["reimbursement_for_checking.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["reimbursement_for_checking.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["reimbursement_for_checking.Cost_Center"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.Discount_Account"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement_for_checking.VAT_Account"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["reimbursement_for_checking.location"] )) {
			$lookupTableLinks["location"]["reimbursement_for_checking.location"] = array();
		}
		$lookupTableLinks["location"]["reimbursement_for_checking.location"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_system_user"] ) ) {
			$lookupTableLinks["payroll_system_user"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_system_user"]["reimbursement_for_checking.prepared_by"] )) {
			$lookupTableLinks["payroll_system_user"]["reimbursement_for_checking.prepared_by"] = array();
		}
		$lookupTableLinks["payroll_system_user"]["reimbursement_for_checking.prepared_by"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "prepared_by", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["reimbursement_for_checking.project"] )) {
			$lookupTableLinks[""]["reimbursement_for_checking.project"] = array();
		}
		$lookupTableLinks[""]["reimbursement_for_checking.project"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["reimbursement_for_checking.phase"] )) {
			$lookupTableLinks["phase"]["reimbursement_for_checking.phase"] = array();
		}
		$lookupTableLinks["phase"]["reimbursement_for_checking.phase"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_system_user"] ) ) {
			$lookupTableLinks["payroll_system_user"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_system_user"]["reimbursement_for_checking.modified_by"] )) {
			$lookupTableLinks["payroll_system_user"]["reimbursement_for_checking.modified_by"] = array();
		}
		$lookupTableLinks["payroll_system_user"]["reimbursement_for_checking.modified_by"]["edit"] = array("table" => "reimbursement_for_checking", "field" => "modified_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["reimbursement_for_approval.Business_Partner"] )) {
			$lookupTableLinks["employees"]["reimbursement_for_approval.Business_Partner"] = array();
		}
		$lookupTableLinks["employees"]["reimbursement_for_approval.Business_Partner"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "Business_Partner", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.Payable_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.Payable_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.Payable_Account"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "Payable_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["reimbursement_for_approval.Cost_Center"] )) {
			$lookupTableLinks["cost_center"]["reimbursement_for_approval.Cost_Center"] = array();
		}
		$lookupTableLinks["cost_center"]["reimbursement_for_approval.Cost_Center"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "Cost_Center", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.Discount_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.Discount_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.Discount_Account"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "Discount_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["chart_of_accounts"] ) ) {
			$lookupTableLinks["chart_of_accounts"] = array();
		}
		if( !isset( $lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.VAT_Account"] )) {
			$lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.VAT_Account"] = array();
		}
		$lookupTableLinks["chart_of_accounts"]["reimbursement_for_approval.VAT_Account"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "VAT_Account", "page" => "edit");
		if( !isset( $lookupTableLinks["location"] ) ) {
			$lookupTableLinks["location"] = array();
		}
		if( !isset( $lookupTableLinks["location"]["reimbursement_for_approval.location"] )) {
			$lookupTableLinks["location"]["reimbursement_for_approval.location"] = array();
		}
		$lookupTableLinks["location"]["reimbursement_for_approval.location"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "location", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_system_user"] ) ) {
			$lookupTableLinks["payroll_system_user"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_system_user"]["reimbursement_for_approval.prepared_by"] )) {
			$lookupTableLinks["payroll_system_user"]["reimbursement_for_approval.prepared_by"] = array();
		}
		$lookupTableLinks["payroll_system_user"]["reimbursement_for_approval.prepared_by"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "prepared_by", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["reimbursement_for_approval.project"] )) {
			$lookupTableLinks[""]["reimbursement_for_approval.project"] = array();
		}
		$lookupTableLinks[""]["reimbursement_for_approval.project"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "project", "page" => "edit");
		if( !isset( $lookupTableLinks["phase"] ) ) {
			$lookupTableLinks["phase"] = array();
		}
		if( !isset( $lookupTableLinks["phase"]["reimbursement_for_approval.phase"] )) {
			$lookupTableLinks["phase"]["reimbursement_for_approval.phase"] = array();
		}
		$lookupTableLinks["phase"]["reimbursement_for_approval.phase"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "phase", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_system_user"] ) ) {
			$lookupTableLinks["payroll_system_user"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_system_user"]["reimbursement_for_approval.modified_by"] )) {
			$lookupTableLinks["payroll_system_user"]["reimbursement_for_approval.modified_by"] = array();
		}
		$lookupTableLinks["payroll_system_user"]["reimbursement_for_approval.modified_by"]["edit"] = array("table" => "reimbursement_for_approval", "field" => "modified_by", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs.attendance_type"]["edit"] = array("table" => "missing_logs", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs.approved_by"]["edit"] = array("table" => "missing_logs", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs.checked_by"]["edit"] = array("table" => "missing_logs", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["missing_logs.approver"] )) {
			$lookupTableLinks["employeesdd"]["missing_logs.approver"] = array();
		}
		$lookupTableLinks["employeesdd"]["missing_logs.approver"]["edit"] = array("table" => "missing_logs", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["missing_logs_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_for_checking.employee"]["edit"] = array("table" => "Missing_Logs_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs_for_checking.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs_for_checking.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs_for_checking.attendance_type"]["edit"] = array("table" => "Missing_Logs_for_checking", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_for_checking.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_for_checking.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_for_checking.approved_by"]["edit"] = array("table" => "Missing_Logs_for_checking", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_for_checking.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_for_checking.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_for_checking.checked_by"]["edit"] = array("table" => "Missing_Logs_for_checking", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["missing_logs_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_for_approval.employee"]["edit"] = array("table" => "Missing_Logs_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs_for_approval.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs_for_approval.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs_for_approval.attendance_type"]["edit"] = array("table" => "Missing_Logs_for_approval", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_for_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_for_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_for_approval.approved_by"]["edit"] = array("table" => "Missing_Logs_for_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_for_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_for_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_for_approval.checked_by"]["edit"] = array("table" => "Missing_Logs_for_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["cost_center"] ) ) {
			$lookupTableLinks["cost_center"] = array();
		}
		if( !isset( $lookupTableLinks["cost_center"]["flexben.company"] )) {
			$lookupTableLinks["cost_center"]["flexben.company"] = array();
		}
		$lookupTableLinks["cost_center"]["flexben.company"]["edit"] = array("table" => "flexben", "field" => "company", "page" => "edit");
		if( !isset( $lookupTableLinks["department"] ) ) {
			$lookupTableLinks["department"] = array();
		}
		if( !isset( $lookupTableLinks["department"]["flexben.department"] )) {
			$lookupTableLinks["department"]["flexben.department"] = array();
		}
		$lookupTableLinks["department"]["flexben.department"]["edit"] = array("table" => "flexben", "field" => "department", "page" => "edit");
		if( !isset( $lookupTableLinks["flexben_type"] ) ) {
			$lookupTableLinks["flexben_type"] = array();
		}
		if( !isset( $lookupTableLinks["flexben_type"]["flexben.num_flex_ben"] )) {
			$lookupTableLinks["flexben_type"]["flexben.num_flex_ben"] = array();
		}
		$lookupTableLinks["flexben_type"]["flexben.num_flex_ben"]["edit"] = array("table" => "flexben", "field" => "num_flex_ben", "page" => "edit");
		if( !isset( $lookupTableLinks["department"] ) ) {
			$lookupTableLinks["department"] = array();
		}
		if( !isset( $lookupTableLinks["department"]["flexben_for_checking.department"] )) {
			$lookupTableLinks["department"]["flexben_for_checking.department"] = array();
		}
		$lookupTableLinks["department"]["flexben_for_checking.department"]["edit"] = array("table" => "Flexben_for_checking", "field" => "department", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["flexben_for_checking.employee"] )) {
			$lookupTableLinks["employees"]["flexben_for_checking.employee"] = array();
		}
		$lookupTableLinks["employees"]["flexben_for_checking.employee"]["edit"] = array("table" => "Flexben_for_checking", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["flexben_type"] ) ) {
			$lookupTableLinks["flexben_type"] = array();
		}
		if( !isset( $lookupTableLinks["flexben_type"]["flexben_for_checking.num_flex_ben"] )) {
			$lookupTableLinks["flexben_type"]["flexben_for_checking.num_flex_ben"] = array();
		}
		$lookupTableLinks["flexben_type"]["flexben_for_checking.num_flex_ben"]["edit"] = array("table" => "Flexben_for_checking", "field" => "num_flex_ben", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["flexben_for_checking.job_grade"] )) {
			$lookupTableLinks["job_grade"]["flexben_for_checking.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["flexben_for_checking.job_grade"]["edit"] = array("table" => "Flexben_for_checking", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["flexben_for_checking.jg_level"] )) {
			$lookupTableLinks["level"]["flexben_for_checking.jg_level"] = array();
		}
		$lookupTableLinks["level"]["flexben_for_checking.jg_level"]["edit"] = array("table" => "Flexben_for_checking", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["department"] ) ) {
			$lookupTableLinks["department"] = array();
		}
		if( !isset( $lookupTableLinks["department"]["flexben_for_approval1.department"] )) {
			$lookupTableLinks["department"]["flexben_for_approval1.department"] = array();
		}
		$lookupTableLinks["department"]["flexben_for_approval1.department"]["edit"] = array("table" => "Flexben_for_approval1", "field" => "department", "page" => "edit");
		if( !isset( $lookupTableLinks["flexben_type"] ) ) {
			$lookupTableLinks["flexben_type"] = array();
		}
		if( !isset( $lookupTableLinks["flexben_type"]["flexben_for_approval1.num_flex_ben"] )) {
			$lookupTableLinks["flexben_type"]["flexben_for_approval1.num_flex_ben"] = array();
		}
		$lookupTableLinks["flexben_type"]["flexben_for_approval1.num_flex_ben"]["edit"] = array("table" => "Flexben_for_approval1", "field" => "num_flex_ben", "page" => "edit");
		if( !isset( $lookupTableLinks["department"] ) ) {
			$lookupTableLinks["department"] = array();
		}
		if( !isset( $lookupTableLinks["department"]["flexben_for_approval.department"] )) {
			$lookupTableLinks["department"]["flexben_for_approval.department"] = array();
		}
		$lookupTableLinks["department"]["flexben_for_approval.department"]["edit"] = array("table" => "Flexben_for_approval", "field" => "department", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["flexben_for_approval.employee"] )) {
			$lookupTableLinks["employees"]["flexben_for_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["flexben_for_approval.employee"]["edit"] = array("table" => "Flexben_for_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["flexben_type"] ) ) {
			$lookupTableLinks["flexben_type"] = array();
		}
		if( !isset( $lookupTableLinks["flexben_type"]["flexben_for_approval.num_flex_ben"] )) {
			$lookupTableLinks["flexben_type"]["flexben_for_approval.num_flex_ben"] = array();
		}
		$lookupTableLinks["flexben_type"]["flexben_for_approval.num_flex_ben"]["edit"] = array("table" => "Flexben_for_approval", "field" => "num_flex_ben", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["flexben_for_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["flexben_for_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["flexben_for_approval.job_grade"]["edit"] = array("table" => "Flexben_for_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["flexben_for_approval.jg_level"] )) {
			$lookupTableLinks["level"]["flexben_for_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["flexben_for_approval.jg_level"]["edit"] = array("table" => "Flexben_for_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["overtime_approver1.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["overtime_approver1.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["overtime_approver1.overtime_type"]["edit"] = array("table" => "Overtime_approver1", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["overtime_approver1.employee"] )) {
			$lookupTableLinks["employees"]["overtime_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["overtime_approver1.employee"]["edit"] = array("table" => "Overtime_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["overtime_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["overtime_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["overtime_approver1.job_grade"]["edit"] = array("table" => "Overtime_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["overtime_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["overtime_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["overtime_approver1.jg_level"]["edit"] = array("table" => "Overtime_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["overtime_approver2.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["overtime_approver2.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["overtime_approver2.overtime_type"]["edit"] = array("table" => "Overtime_approver2", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["overtime_approver2.employee"] )) {
			$lookupTableLinks["employees"]["overtime_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["overtime_approver2.employee"]["edit"] = array("table" => "Overtime_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["overtime_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["overtime_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["overtime_approver2.job_grade"]["edit"] = array("table" => "Overtime_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["overtime_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["overtime_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["overtime_approver2.jg_level"]["edit"] = array("table" => "Overtime_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["overtime_approver3.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["overtime_approver3.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["overtime_approver3.overtime_type"]["edit"] = array("table" => "Overtime_approver3", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["overtime_approver3.employee"] )) {
			$lookupTableLinks["employees"]["overtime_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["overtime_approver3.employee"]["edit"] = array("table" => "Overtime_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["overtime_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["overtime_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["overtime_approver3.job_grade"]["edit"] = array("table" => "Overtime_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["overtime_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["overtime_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["overtime_approver3.jg_level"]["edit"] = array("table" => "Overtime_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["overtime_approver4.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["overtime_approver4.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["overtime_approver4.overtime_type"]["edit"] = array("table" => "Overtime_approver4", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["overtime_approver4.employee"] )) {
			$lookupTableLinks["employees"]["overtime_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["overtime_approver4.employee"]["edit"] = array("table" => "Overtime_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["overtime_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["overtime_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["overtime_approver4.job_grade"]["edit"] = array("table" => "Overtime_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["overtime_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["overtime_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["overtime_approver4.jg_level"]["edit"] = array("table" => "Overtime_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_approver1.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_approver1.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_approver1.leave_type"]["edit"] = array("table" => "Leave_approver1", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["leave_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver1.approved_by"]["edit"] = array("table" => "Leave_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["leave_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver1.checked_by"]["edit"] = array("table" => "Leave_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver1.Employee"] )) {
			$lookupTableLinks["employees"]["leave_approver1.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver1.Employee"]["edit"] = array("table" => "Leave_approver1", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["leave_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["leave_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["leave_approver1.job_grade"]["edit"] = array("table" => "Leave_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["leave_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["leave_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["leave_approver1.jg_level"]["edit"] = array("table" => "Leave_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_approver2.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_approver2.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_approver2.leave_type"]["edit"] = array("table" => "Leave_approver2", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["leave_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver2.approved_by"]["edit"] = array("table" => "Leave_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["leave_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver2.checked_by"]["edit"] = array("table" => "Leave_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver2.Employee"] )) {
			$lookupTableLinks["employees"]["leave_approver2.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver2.Employee"]["edit"] = array("table" => "Leave_approver2", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["leave_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["leave_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["leave_approver2.job_grade"]["edit"] = array("table" => "Leave_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["leave_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["leave_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["leave_approver2.jg_level"]["edit"] = array("table" => "Leave_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_approver3.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_approver3.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_approver3.leave_type"]["edit"] = array("table" => "Leave_approver3", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["leave_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver3.approved_by"]["edit"] = array("table" => "Leave_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["leave_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver3.checked_by"]["edit"] = array("table" => "Leave_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver3.Employee"] )) {
			$lookupTableLinks["employees"]["leave_approver3.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver3.Employee"]["edit"] = array("table" => "Leave_approver3", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["leave_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["leave_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["leave_approver3.job_grade"]["edit"] = array("table" => "Leave_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["leave_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["leave_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["leave_approver3.jg_level"]["edit"] = array("table" => "Leave_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_approver4.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_approver4.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_approver4.leave_type"]["edit"] = array("table" => "Leave_approver4", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["leave_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver4.approved_by"]["edit"] = array("table" => "Leave_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["leave_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver4.checked_by"]["edit"] = array("table" => "Leave_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approver4.Employee"] )) {
			$lookupTableLinks["employees"]["leave_approver4.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_approver4.Employee"]["edit"] = array("table" => "Leave_approver4", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["leave_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["leave_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["leave_approver4.job_grade"]["edit"] = array("table" => "Leave_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["leave_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["leave_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["leave_approver4.jg_level"]["edit"] = array("table" => "Leave_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver1.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver1.checked_by"]["edit"] = array("table" => "Change_Time_Schedule_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["change_time_schedule_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["change_time_schedule_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["change_time_schedule_approver1.job_grade"]["edit"] = array("table" => "Change_Time_Schedule_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["change_time_schedule_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["change_time_schedule_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["change_time_schedule_approver1.jg_level"]["edit"] = array("table" => "Change_Time_Schedule_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver2.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver2.checked_by"]["edit"] = array("table" => "Change_Time_Schedule_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["change_time_schedule_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["change_time_schedule_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["change_time_schedule_approver2.job_grade"]["edit"] = array("table" => "Change_Time_Schedule_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["change_time_schedule_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["change_time_schedule_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["change_time_schedule_approver2.jg_level"]["edit"] = array("table" => "Change_Time_Schedule_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver3.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver3.checked_by"]["edit"] = array("table" => "Change_Time_Schedule_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["change_time_schedule_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["change_time_schedule_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["change_time_schedule_approver3.job_grade"]["edit"] = array("table" => "Change_Time_Schedule_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["change_time_schedule_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["change_time_schedule_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["change_time_schedule_approver3.jg_level"]["edit"] = array("table" => "Change_Time_Schedule_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver4.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approver4.checked_by"]["edit"] = array("table" => "Change_Time_Schedule_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["change_time_schedule_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["change_time_schedule_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["change_time_schedule_approver4.job_grade"]["edit"] = array("table" => "Change_Time_Schedule_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["change_time_schedule_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["change_time_schedule_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["change_time_schedule_approver4.jg_level"]["edit"] = array("table" => "Change_Time_Schedule_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["official_business_approver1.employee"] )) {
			$lookupTableLinks["employees"]["official_business_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["official_business_approver1.employee"]["edit"] = array("table" => "Official_Business_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["official_business_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["official_business_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["official_business_approver1.job_grade"]["edit"] = array("table" => "Official_Business_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["official_business_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["official_business_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["official_business_approver1.jg_level"]["edit"] = array("table" => "Official_Business_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["official_business_approver2.employee"] )) {
			$lookupTableLinks["employees"]["official_business_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["official_business_approver2.employee"]["edit"] = array("table" => "Official_Business_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["official_business_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["official_business_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["official_business_approver2.job_grade"]["edit"] = array("table" => "Official_Business_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["official_business_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["official_business_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["official_business_approver2.jg_level"]["edit"] = array("table" => "Official_Business_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["official_business_approver3.employee"] )) {
			$lookupTableLinks["employees"]["official_business_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["official_business_approver3.employee"]["edit"] = array("table" => "Official_Business_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["official_business_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["official_business_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["official_business_approver3.job_grade"]["edit"] = array("table" => "Official_Business_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["official_business_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["official_business_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["official_business_approver3.jg_level"]["edit"] = array("table" => "Official_Business_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["official_business_approver4.employee"] )) {
			$lookupTableLinks["employees"]["official_business_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["official_business_approver4.employee"]["edit"] = array("table" => "Official_Business_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["official_business_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["official_business_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["official_business_approver4.job_grade"]["edit"] = array("table" => "Official_Business_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["official_business_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["official_business_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["official_business_approver4.jg_level"]["edit"] = array("table" => "Official_Business_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver1.employee"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver1.employee"]["edit"] = array("table" => "Missing_Logs_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs_approver1.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs_approver1.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs_approver1.attendance_type"]["edit"] = array("table" => "Missing_Logs_approver1", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver1.approved_by"]["edit"] = array("table" => "Missing_Logs_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver1.checked_by"]["edit"] = array("table" => "Missing_Logs_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver2.employee"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver2.employee"]["edit"] = array("table" => "Missing_Logs_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs_approver2.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs_approver2.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs_approver2.attendance_type"]["edit"] = array("table" => "Missing_Logs_approver2", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver2.approved_by"]["edit"] = array("table" => "Missing_Logs_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver2.checked_by"]["edit"] = array("table" => "Missing_Logs_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver3.employee"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver3.employee"]["edit"] = array("table" => "Missing_Logs_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs_approver3.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs_approver3.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs_approver3.attendance_type"]["edit"] = array("table" => "Missing_Logs_approver3", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver3.approved_by"]["edit"] = array("table" => "Missing_Logs_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver3.checked_by"]["edit"] = array("table" => "Missing_Logs_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver4.employee"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver4.employee"]["edit"] = array("table" => "Missing_Logs_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs_approver4.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs_approver4.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs_approver4.attendance_type"]["edit"] = array("table" => "Missing_Logs_approver4", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver4.approved_by"]["edit"] = array("table" => "Missing_Logs_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approver4.checked_by"]["edit"] = array("table" => "Missing_Logs_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver1.approved_by"]["edit"] = array("table" => "Holiday_Overtime_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime_approver1.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime_approver1.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime_approver1.overtime_type"]["edit"] = array("table" => "Holiday_Overtime_approver1", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver1.checked_by"]["edit"] = array("table" => "Holiday_Overtime_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver1.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver1.employee"]["edit"] = array("table" => "Holiday_Overtime_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["holiday_overtime_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["holiday_overtime_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["holiday_overtime_approver1.job_grade"]["edit"] = array("table" => "Holiday_Overtime_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["holiday_overtime_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["holiday_overtime_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["holiday_overtime_approver1.jg_level"]["edit"] = array("table" => "Holiday_Overtime_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver2.approved_by"]["edit"] = array("table" => "Holiday_Overtime_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime_approver2.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime_approver2.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime_approver2.overtime_type"]["edit"] = array("table" => "Holiday_Overtime_approver2", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver2.checked_by"]["edit"] = array("table" => "Holiday_Overtime_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver2.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver2.employee"]["edit"] = array("table" => "Holiday_Overtime_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["holiday_overtime_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["holiday_overtime_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["holiday_overtime_approver2.job_grade"]["edit"] = array("table" => "Holiday_Overtime_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["holiday_overtime_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["holiday_overtime_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["holiday_overtime_approver2.jg_level"]["edit"] = array("table" => "Holiday_Overtime_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver3.approved_by"]["edit"] = array("table" => "Holiday_Overtime_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime_approver3.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime_approver3.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime_approver3.overtime_type"]["edit"] = array("table" => "Holiday_Overtime_approver3", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver3.checked_by"]["edit"] = array("table" => "Holiday_Overtime_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver3.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver3.employee"]["edit"] = array("table" => "Holiday_Overtime_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["holiday_overtime_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["holiday_overtime_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["holiday_overtime_approver3.job_grade"]["edit"] = array("table" => "Holiday_Overtime_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["holiday_overtime_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["holiday_overtime_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["holiday_overtime_approver3.jg_level"]["edit"] = array("table" => "Holiday_Overtime_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver4.approved_by"]["edit"] = array("table" => "Holiday_Overtime_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime_approver4.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime_approver4.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime_approver4.overtime_type"]["edit"] = array("table" => "Holiday_Overtime_approver4", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver4.checked_by"]["edit"] = array("table" => "Holiday_Overtime_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approver4.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approver4.employee"]["edit"] = array("table" => "Holiday_Overtime_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["holiday_overtime_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["holiday_overtime_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["holiday_overtime_approver4.job_grade"]["edit"] = array("table" => "Holiday_Overtime_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["holiday_overtime_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["holiday_overtime_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["holiday_overtime_approver4.jg_level"]["edit"] = array("table" => "Holiday_Overtime_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["year_end_pto_conversion.employee"] )) {
			$lookupTableLinks["employees"]["year_end_pto_conversion.employee"] = array();
		}
		$lookupTableLinks["employees"]["year_end_pto_conversion.employee"]["edit"] = array("table" => "year_end_pto_conversion", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["cto.employee"] )) {
			$lookupTableLinks["employees"]["cto.employee"] = array();
		}
		$lookupTableLinks["employees"]["cto.employee"]["edit"] = array("table" => "cto", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["cto.pending_approver"] )) {
			$lookupTableLinks["employeesdd"]["cto.pending_approver"] = array();
		}
		$lookupTableLinks["employeesdd"]["cto.pending_approver"]["edit"] = array("table" => "cto", "field" => "pending_approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["cto_approver1.employee"] )) {
			$lookupTableLinks["employees"]["cto_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["cto_approver1.employee"]["edit"] = array("table" => "cto_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["cto_approver2.employee"] )) {
			$lookupTableLinks["employees"]["cto_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["cto_approver2.employee"]["edit"] = array("table" => "cto_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["cto_approver3.employee"] )) {
			$lookupTableLinks["employees"]["cto_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["cto_approver3.employee"]["edit"] = array("table" => "cto_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["cto_approver4.employee"] )) {
			$lookupTableLinks["employees"]["cto_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["cto_approver4.employee"]["edit"] = array("table" => "cto_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver1.approved_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver1.checked_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_change_time_schedule_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_change_time_schedule_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_change_time_schedule_approver1.job_grade"]["edit"] = array("table" => "History_Change_Time_Schedule_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_change_time_schedule_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["history_change_time_schedule_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_change_time_schedule_approver1.jg_level"]["edit"] = array("table" => "History_Change_Time_Schedule_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver2.approved_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver2.checked_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_change_time_schedule_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_change_time_schedule_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_change_time_schedule_approver2.job_grade"]["edit"] = array("table" => "History_Change_Time_Schedule_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_change_time_schedule_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["history_change_time_schedule_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_change_time_schedule_approver2.jg_level"]["edit"] = array("table" => "History_Change_Time_Schedule_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver3.approved_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver3.checked_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_change_time_schedule_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_change_time_schedule_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_change_time_schedule_approver3.job_grade"]["edit"] = array("table" => "History_Change_Time_Schedule_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_change_time_schedule_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["history_change_time_schedule_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_change_time_schedule_approver3.jg_level"]["edit"] = array("table" => "History_Change_Time_Schedule_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver4.approved_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_change_time_schedule_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["history_change_time_schedule_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_change_time_schedule_approver4.checked_by"]["edit"] = array("table" => "History_Change_Time_Schedule_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_change_time_schedule_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_change_time_schedule_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_change_time_schedule_approver4.job_grade"]["edit"] = array("table" => "History_Change_Time_Schedule_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_change_time_schedule_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["history_change_time_schedule_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_change_time_schedule_approver4.jg_level"]["edit"] = array("table" => "History_Change_Time_Schedule_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_cto_approver1.employee"] )) {
			$lookupTableLinks["employees"]["history_cto_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_cto_approver1.employee"]["edit"] = array("table" => "History_cto_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_cto_approver2.employee"] )) {
			$lookupTableLinks["employees"]["history_cto_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_cto_approver2.employee"]["edit"] = array("table" => "History_cto_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_cto_approver3.employee"] )) {
			$lookupTableLinks["employees"]["history_cto_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_cto_approver3.employee"]["edit"] = array("table" => "History_cto_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_cto_approver4.employee"] )) {
			$lookupTableLinks["employees"]["history_cto_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_cto_approver4.employee"]["edit"] = array("table" => "History_cto_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver1.approved_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_holiday_overtime_approver1.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver1.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver1.overtime_type"]["edit"] = array("table" => "History_Holiday_Overtime_approver1", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver1.checked_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver1.employee"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver1.employee"]["edit"] = array("table" => "History_Holiday_Overtime_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_holiday_overtime_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_holiday_overtime_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_holiday_overtime_approver1.job_grade"]["edit"] = array("table" => "History_Holiday_Overtime_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_holiday_overtime_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["history_holiday_overtime_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_holiday_overtime_approver1.jg_level"]["edit"] = array("table" => "History_Holiday_Overtime_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["holiday"] ) ) {
			$lookupTableLinks["holiday"] = array();
		}
		if( !isset( $lookupTableLinks["holiday"]["history_holiday_overtime_approver1.holiday"] )) {
			$lookupTableLinks["holiday"]["history_holiday_overtime_approver1.holiday"] = array();
		}
		$lookupTableLinks["holiday"]["history_holiday_overtime_approver1.holiday"]["edit"] = array("table" => "History_Holiday_Overtime_approver1", "field" => "holiday", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver2.approved_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_holiday_overtime_approver2.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver2.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver2.overtime_type"]["edit"] = array("table" => "History_Holiday_Overtime_approver2", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver2.checked_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver2.employee"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver2.employee"]["edit"] = array("table" => "History_Holiday_Overtime_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_holiday_overtime_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_holiday_overtime_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_holiday_overtime_approver2.job_grade"]["edit"] = array("table" => "History_Holiday_Overtime_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_holiday_overtime_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["history_holiday_overtime_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_holiday_overtime_approver2.jg_level"]["edit"] = array("table" => "History_Holiday_Overtime_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["holiday"] ) ) {
			$lookupTableLinks["holiday"] = array();
		}
		if( !isset( $lookupTableLinks["holiday"]["history_holiday_overtime_approver2.holiday"] )) {
			$lookupTableLinks["holiday"]["history_holiday_overtime_approver2.holiday"] = array();
		}
		$lookupTableLinks["holiday"]["history_holiday_overtime_approver2.holiday"]["edit"] = array("table" => "History_Holiday_Overtime_approver2", "field" => "holiday", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver3.approved_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_holiday_overtime_approver3.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver3.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver3.overtime_type"]["edit"] = array("table" => "History_Holiday_Overtime_approver3", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver3.checked_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver3.employee"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver3.employee"]["edit"] = array("table" => "History_Holiday_Overtime_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_holiday_overtime_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_holiday_overtime_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_holiday_overtime_approver3.job_grade"]["edit"] = array("table" => "History_Holiday_Overtime_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_holiday_overtime_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["history_holiday_overtime_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_holiday_overtime_approver3.jg_level"]["edit"] = array("table" => "History_Holiday_Overtime_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["holiday"] ) ) {
			$lookupTableLinks["holiday"] = array();
		}
		if( !isset( $lookupTableLinks["holiday"]["history_holiday_overtime_approver3.holiday"] )) {
			$lookupTableLinks["holiday"]["history_holiday_overtime_approver3.holiday"] = array();
		}
		$lookupTableLinks["holiday"]["history_holiday_overtime_approver3.holiday"]["edit"] = array("table" => "History_Holiday_Overtime_approver3", "field" => "holiday", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver4.approved_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_holiday_overtime_approver4.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver4.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_holiday_overtime_approver4.overtime_type"]["edit"] = array("table" => "History_Holiday_Overtime_approver4", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver4.checked_by"]["edit"] = array("table" => "History_Holiday_Overtime_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_holiday_overtime_approver4.employee"] )) {
			$lookupTableLinks["employees"]["history_holiday_overtime_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_holiday_overtime_approver4.employee"]["edit"] = array("table" => "History_Holiday_Overtime_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_holiday_overtime_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_holiday_overtime_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_holiday_overtime_approver4.job_grade"]["edit"] = array("table" => "History_Holiday_Overtime_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_holiday_overtime_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["history_holiday_overtime_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_holiday_overtime_approver4.jg_level"]["edit"] = array("table" => "History_Holiday_Overtime_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["holiday"] ) ) {
			$lookupTableLinks["holiday"] = array();
		}
		if( !isset( $lookupTableLinks["holiday"]["history_holiday_overtime_approver4.holiday"] )) {
			$lookupTableLinks["holiday"]["history_holiday_overtime_approver4.holiday"] = array();
		}
		$lookupTableLinks["holiday"]["history_holiday_overtime_approver4.holiday"]["edit"] = array("table" => "History_Holiday_Overtime_approver4", "field" => "holiday", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_leave_approver1.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["history_leave_approver1.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_leave_approver1.leave_type"]["edit"] = array("table" => "History_Leave_approver1", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver1.approved_by"]["edit"] = array("table" => "History_Leave_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver1.checked_by"]["edit"] = array("table" => "History_Leave_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver1.Employee"] )) {
			$lookupTableLinks["employees"]["history_leave_approver1.Employee"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver1.Employee"]["edit"] = array("table" => "History_Leave_approver1", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_leave_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_leave_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_leave_approver1.job_grade"]["edit"] = array("table" => "History_Leave_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_leave_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["history_leave_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_leave_approver1.jg_level"]["edit"] = array("table" => "History_Leave_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_leave_approver2.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["history_leave_approver2.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_leave_approver2.leave_type"]["edit"] = array("table" => "History_Leave_approver2", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver2.approved_by"]["edit"] = array("table" => "History_Leave_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver2.checked_by"]["edit"] = array("table" => "History_Leave_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver2.Employee"] )) {
			$lookupTableLinks["employees"]["history_leave_approver2.Employee"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver2.Employee"]["edit"] = array("table" => "History_Leave_approver2", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_leave_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_leave_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_leave_approver2.job_grade"]["edit"] = array("table" => "History_Leave_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_leave_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["history_leave_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_leave_approver2.jg_level"]["edit"] = array("table" => "History_Leave_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_leave_approver3.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["history_leave_approver3.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_leave_approver3.leave_type"]["edit"] = array("table" => "History_Leave_approver3", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver3.approved_by"]["edit"] = array("table" => "History_Leave_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver3.checked_by"]["edit"] = array("table" => "History_Leave_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver3.Employee"] )) {
			$lookupTableLinks["employees"]["history_leave_approver3.Employee"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver3.Employee"]["edit"] = array("table" => "History_Leave_approver3", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_leave_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_leave_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_leave_approver3.job_grade"]["edit"] = array("table" => "History_Leave_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_leave_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["history_leave_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_leave_approver3.jg_level"]["edit"] = array("table" => "History_Leave_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_leave_approver4.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["history_leave_approver4.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_leave_approver4.leave_type"]["edit"] = array("table" => "History_Leave_approver4", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver4.approved_by"]["edit"] = array("table" => "History_Leave_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["history_leave_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver4.checked_by"]["edit"] = array("table" => "History_Leave_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_leave_approver4.Employee"] )) {
			$lookupTableLinks["employees"]["history_leave_approver4.Employee"] = array();
		}
		$lookupTableLinks["employees"]["history_leave_approver4.Employee"]["edit"] = array("table" => "History_Leave_approver4", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_leave_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_leave_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_leave_approver4.job_grade"]["edit"] = array("table" => "History_Leave_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_leave_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["history_leave_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_leave_approver4.jg_level"]["edit"] = array("table" => "History_Leave_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver1.employee"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver1.employee"]["edit"] = array("table" => "History_Missing_Logs_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["history_missing_logs_approver1.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["history_missing_logs_approver1.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["history_missing_logs_approver1.attendance_type"]["edit"] = array("table" => "History_Missing_Logs_approver1", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver1.approved_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver1.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver1.approved_by"]["edit"] = array("table" => "History_Missing_Logs_approver1", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver1.checked_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver1.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver1.checked_by"]["edit"] = array("table" => "History_Missing_Logs_approver1", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver2.employee"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver2.employee"]["edit"] = array("table" => "History_Missing_Logs_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["history_missing_logs_approver2.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["history_missing_logs_approver2.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["history_missing_logs_approver2.attendance_type"]["edit"] = array("table" => "History_Missing_Logs_approver2", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver2.approved_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver2.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver2.approved_by"]["edit"] = array("table" => "History_Missing_Logs_approver2", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver2.checked_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver2.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver2.checked_by"]["edit"] = array("table" => "History_Missing_Logs_approver2", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver3.employee"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver3.employee"]["edit"] = array("table" => "History_Missing_Logs_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["history_missing_logs_approver3.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["history_missing_logs_approver3.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["history_missing_logs_approver3.attendance_type"]["edit"] = array("table" => "History_Missing_Logs_approver3", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver3.approved_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver3.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver3.approved_by"]["edit"] = array("table" => "History_Missing_Logs_approver3", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver3.checked_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver3.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver3.checked_by"]["edit"] = array("table" => "History_Missing_Logs_approver3", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver4.employee"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver4.employee"]["edit"] = array("table" => "History_Missing_Logs_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["history_missing_logs_approver4.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["history_missing_logs_approver4.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["history_missing_logs_approver4.attendance_type"]["edit"] = array("table" => "History_Missing_Logs_approver4", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver4.approved_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver4.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver4.approved_by"]["edit"] = array("table" => "History_Missing_Logs_approver4", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_missing_logs_approver4.checked_by"] )) {
			$lookupTableLinks["employees"]["history_missing_logs_approver4.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["history_missing_logs_approver4.checked_by"]["edit"] = array("table" => "History_Missing_Logs_approver4", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_official_business_approver1.employee"] )) {
			$lookupTableLinks["employees"]["history_official_business_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_official_business_approver1.employee"]["edit"] = array("table" => "History_Official_Business_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_official_business_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_official_business_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_official_business_approver1.job_grade"]["edit"] = array("table" => "History_Official_Business_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_official_business_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["history_official_business_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_official_business_approver1.jg_level"]["edit"] = array("table" => "History_Official_Business_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_official_business_approver2.employee"] )) {
			$lookupTableLinks["employees"]["history_official_business_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_official_business_approver2.employee"]["edit"] = array("table" => "History_Official_Business_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_official_business_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_official_business_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_official_business_approver2.job_grade"]["edit"] = array("table" => "History_Official_Business_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_official_business_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["history_official_business_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_official_business_approver2.jg_level"]["edit"] = array("table" => "History_Official_Business_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_official_business_approver3.employee"] )) {
			$lookupTableLinks["employees"]["history_official_business_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_official_business_approver3.employee"]["edit"] = array("table" => "History_Official_Business_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_official_business_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_official_business_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_official_business_approver3.job_grade"]["edit"] = array("table" => "History_Official_Business_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_official_business_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["history_official_business_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_official_business_approver3.jg_level"]["edit"] = array("table" => "History_Official_Business_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_official_business_approver4.employee"] )) {
			$lookupTableLinks["employees"]["history_official_business_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_official_business_approver4.employee"]["edit"] = array("table" => "History_Official_Business_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_official_business_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_official_business_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_official_business_approver4.job_grade"]["edit"] = array("table" => "History_Official_Business_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_official_business_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["history_official_business_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_official_business_approver4.jg_level"]["edit"] = array("table" => "History_Official_Business_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_overtime_approver1.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_overtime_approver1.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_overtime_approver1.overtime_type"]["edit"] = array("table" => "History_Overtime_approver1", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_overtime_approver1.employee"] )) {
			$lookupTableLinks["employees"]["history_overtime_approver1.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_overtime_approver1.employee"]["edit"] = array("table" => "History_Overtime_approver1", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_overtime_approver1.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_overtime_approver1.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_overtime_approver1.job_grade"]["edit"] = array("table" => "History_Overtime_approver1", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_overtime_approver1.jg_level"] )) {
			$lookupTableLinks["level"]["history_overtime_approver1.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_overtime_approver1.jg_level"]["edit"] = array("table" => "History_Overtime_approver1", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_overtime_approver2.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_overtime_approver2.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_overtime_approver2.overtime_type"]["edit"] = array("table" => "History_Overtime_approver2", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_overtime_approver2.employee"] )) {
			$lookupTableLinks["employees"]["history_overtime_approver2.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_overtime_approver2.employee"]["edit"] = array("table" => "History_Overtime_approver2", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_overtime_approver2.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_overtime_approver2.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_overtime_approver2.job_grade"]["edit"] = array("table" => "History_Overtime_approver2", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_overtime_approver2.jg_level"] )) {
			$lookupTableLinks["level"]["history_overtime_approver2.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_overtime_approver2.jg_level"]["edit"] = array("table" => "History_Overtime_approver2", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_overtime_approver3.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_overtime_approver3.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_overtime_approver3.overtime_type"]["edit"] = array("table" => "History_Overtime_approver3", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_overtime_approver3.employee"] )) {
			$lookupTableLinks["employees"]["history_overtime_approver3.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_overtime_approver3.employee"]["edit"] = array("table" => "History_Overtime_approver3", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_overtime_approver3.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_overtime_approver3.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_overtime_approver3.job_grade"]["edit"] = array("table" => "History_Overtime_approver3", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_overtime_approver3.jg_level"] )) {
			$lookupTableLinks["level"]["history_overtime_approver3.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_overtime_approver3.jg_level"]["edit"] = array("table" => "History_Overtime_approver3", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["history_overtime_approver4.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["history_overtime_approver4.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["history_overtime_approver4.overtime_type"]["edit"] = array("table" => "History_Overtime_approver4", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["history_overtime_approver4.employee"] )) {
			$lookupTableLinks["employees"]["history_overtime_approver4.employee"] = array();
		}
		$lookupTableLinks["employees"]["history_overtime_approver4.employee"]["edit"] = array("table" => "History_Overtime_approver4", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["history_overtime_approver4.job_grade"] )) {
			$lookupTableLinks["job_grade"]["history_overtime_approver4.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["history_overtime_approver4.job_grade"]["edit"] = array("table" => "History_Overtime_approver4", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["history_overtime_approver4.jg_level"] )) {
			$lookupTableLinks["level"]["history_overtime_approver4.jg_level"] = array();
		}
		$lookupTableLinks["level"]["history_overtime_approver4.jg_level"]["edit"] = array("table" => "History_Overtime_approver4", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approval.approved_by"]["edit"] = array("table" => "Change_Time_Schedule_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["change_time_schedule_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["change_time_schedule_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["change_time_schedule_approval.checked_by"]["edit"] = array("table" => "Change_Time_Schedule_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["change_time_schedule_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["change_time_schedule_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["change_time_schedule_approval.job_grade"]["edit"] = array("table" => "Change_Time_Schedule_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["change_time_schedule_approval.jg_level"] )) {
			$lookupTableLinks["level"]["change_time_schedule_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["change_time_schedule_approval.jg_level"]["edit"] = array("table" => "Change_Time_Schedule_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["overtime_approval.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["overtime_approval.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["overtime_approval.overtime_type"]["edit"] = array("table" => "Overtime_approval", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["overtime_approval.employee"] )) {
			$lookupTableLinks["employees"]["overtime_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["overtime_approval.employee"]["edit"] = array("table" => "Overtime_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["overtime_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["overtime_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["overtime_approval.job_grade"]["edit"] = array("table" => "Overtime_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["overtime_approval.jg_level"] )) {
			$lookupTableLinks["level"]["overtime_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["overtime_approval.jg_level"]["edit"] = array("table" => "Overtime_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_approval.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_approval.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_approval.leave_type"]["edit"] = array("table" => "Leave_approval", "field" => "leave_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["leave_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approval.approved_by"]["edit"] = array("table" => "Leave_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["leave_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["leave_approval.checked_by"]["edit"] = array("table" => "Leave_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_approval.Employee"] )) {
			$lookupTableLinks["employees"]["leave_approval.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_approval.Employee"]["edit"] = array("table" => "Leave_approval", "field" => "Employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["leave_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["leave_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["leave_approval.job_grade"]["edit"] = array("table" => "Leave_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["leave_approval.jg_level"] )) {
			$lookupTableLinks["level"]["leave_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["leave_approval.jg_level"]["edit"] = array("table" => "Leave_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["official_business_approval.employee"] )) {
			$lookupTableLinks["employees"]["official_business_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["official_business_approval.employee"]["edit"] = array("table" => "Official_Business_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["official_business_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["official_business_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["official_business_approval.job_grade"]["edit"] = array("table" => "Official_Business_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["official_business_approval.jg_level"] )) {
			$lookupTableLinks["level"]["official_business_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["official_business_approval.jg_level"]["edit"] = array("table" => "Official_Business_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approval.employee"] )) {
			$lookupTableLinks["employees"]["missing_logs_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approval.employee"]["edit"] = array("table" => "Missing_Logs_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["attendance_type"] ) ) {
			$lookupTableLinks["attendance_type"] = array();
		}
		if( !isset( $lookupTableLinks["attendance_type"]["missing_logs_approval.attendance_type"] )) {
			$lookupTableLinks["attendance_type"]["missing_logs_approval.attendance_type"] = array();
		}
		$lookupTableLinks["attendance_type"]["missing_logs_approval.attendance_type"]["edit"] = array("table" => "Missing_Logs_approval", "field" => "attendance_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approval.approved_by"]["edit"] = array("table" => "Missing_Logs_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["missing_logs_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["missing_logs_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["missing_logs_approval.checked_by"]["edit"] = array("table" => "Missing_Logs_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approval.approved_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approval.approved_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approval.approved_by"]["edit"] = array("table" => "Holiday_Overtime_approval", "field" => "approved_by", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["holiday_overtime_approval.overtime_type"] )) {
			$lookupTableLinks["payroll_item"]["holiday_overtime_approval.overtime_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["holiday_overtime_approval.overtime_type"]["edit"] = array("table" => "Holiday_Overtime_approval", "field" => "overtime_type", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approval.checked_by"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approval.checked_by"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approval.checked_by"]["edit"] = array("table" => "Holiday_Overtime_approval", "field" => "checked_by", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["holiday_overtime_approval.employee"] )) {
			$lookupTableLinks["employees"]["holiday_overtime_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["holiday_overtime_approval.employee"]["edit"] = array("table" => "Holiday_Overtime_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["job_grade"] ) ) {
			$lookupTableLinks["job_grade"] = array();
		}
		if( !isset( $lookupTableLinks["job_grade"]["holiday_overtime_approval.job_grade"] )) {
			$lookupTableLinks["job_grade"]["holiday_overtime_approval.job_grade"] = array();
		}
		$lookupTableLinks["job_grade"]["holiday_overtime_approval.job_grade"]["edit"] = array("table" => "Holiday_Overtime_approval", "field" => "job_grade", "page" => "edit");
		if( !isset( $lookupTableLinks["level"] ) ) {
			$lookupTableLinks["level"] = array();
		}
		if( !isset( $lookupTableLinks["level"]["holiday_overtime_approval.jg_level"] )) {
			$lookupTableLinks["level"]["holiday_overtime_approval.jg_level"] = array();
		}
		$lookupTableLinks["level"]["holiday_overtime_approval.jg_level"]["edit"] = array("table" => "Holiday_Overtime_approval", "field" => "jg_level", "page" => "edit");
		if( !isset( $lookupTableLinks["holiday"] ) ) {
			$lookupTableLinks["holiday"] = array();
		}
		if( !isset( $lookupTableLinks["holiday"]["holiday_overtime_approval.holiday"] )) {
			$lookupTableLinks["holiday"]["holiday_overtime_approval.holiday"] = array();
		}
		$lookupTableLinks["holiday"]["holiday_overtime_approval.holiday"]["edit"] = array("table" => "Holiday_Overtime_approval", "field" => "holiday", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["cto_approval.employee"] )) {
			$lookupTableLinks["employees"]["cto_approval.employee"] = array();
		}
		$lookupTableLinks["employees"]["cto_approval.employee"]["edit"] = array("table" => "CTO_approval", "field" => "employee", "page" => "edit");
		if( !isset( $lookupTableLinks["schedule"] ) ) {
			$lookupTableLinks["schedule"] = array();
		}
		if( !isset( $lookupTableLinks["schedule"]["employeesdd.schedule_code"] )) {
			$lookupTableLinks["schedule"]["employeesdd.schedule_code"] = array();
		}
		$lookupTableLinks["schedule"]["employeesdd.schedule_code"]["edit"] = array("table" => "employeesdd", "field" => "schedule_code", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employeesdd.approver"] )) {
			$lookupTableLinks["employees"]["employeesdd.approver"] = array();
		}
		$lookupTableLinks["employees"]["employeesdd.approver"]["edit"] = array("table" => "employeesdd", "field" => "approver", "page" => "edit");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["employeesdd.checker"] )) {
			$lookupTableLinks["employees"]["employeesdd.checker"] = array();
		}
		$lookupTableLinks["employees"]["employeesdd.checker"]["edit"] = array("table" => "employeesdd", "field" => "checker", "page" => "edit");
		if( !isset( $lookupTableLinks["employeesdd"] ) ) {
			$lookupTableLinks["employeesdd"] = array();
		}
		if( !isset( $lookupTableLinks["employeesdd"]["offsetting.approve"] )) {
			$lookupTableLinks["employeesdd"]["offsetting.approve"] = array();
		}
		$lookupTableLinks["employeesdd"]["offsetting.approve"]["edit"] = array("table" => "offsetting", "field" => "approve", "page" => "edit");
		if( !isset( $lookupTableLinks["payroll_item"] ) ) {
			$lookupTableLinks["payroll_item"] = array();
		}
		if( !isset( $lookupTableLinks["payroll_item"]["leave_balance_report.leave_type"] )) {
			$lookupTableLinks["payroll_item"]["leave_balance_report.leave_type"] = array();
		}
		$lookupTableLinks["payroll_item"]["leave_balance_report.leave_type"]["search"] = array("table" => "leave_balance_report", "field" => "leave_type", "page" => "search");
		if( !isset( $lookupTableLinks["employees"] ) ) {
			$lookupTableLinks["employees"] = array();
		}
		if( !isset( $lookupTableLinks["employees"]["leave_balance_report.Employee"] )) {
			$lookupTableLinks["employees"]["leave_balance_report.Employee"] = array();
		}
		$lookupTableLinks["employees"]["leave_balance_report.Employee"]["search"] = array("table" => "leave_balance_report", "field" => "Employee", "page" => "search");
}

?>